searchData={"items":[{"type":"module","title":"OpenAi","doc":"Documentation for `OpenExAi`.","ref":"OpenAi.html"},{"type":"module","title":"OpenAi.Client","doc":"Module responsible for making requests to the OpenAI API.\nAnd transforming the response to the expected response type.","ref":"OpenAi.Client.html"},{"type":"function","title":"OpenAi.Client.request/1","doc":"Makes a request to the OpenAI API\nbased on the provided parameters.\n\nReturns the response body transformed\nto the expected response type.\n\nPrimarily used by the operation modules.","ref":"OpenAi.Client.html#request/1"},{"type":"module","title":"OpenAi.Config","doc":"Module responsible for managing the configuration of the OpenAI API client.","ref":"OpenAi.Config.html"},{"type":"function","title":"OpenAi.Config.api_key/0","doc":"Returns the API key for the OpenAI API.\n\nThis is required for making requests to the API.\nfind it at https://platform.openai.com/account/api-keys","ref":"OpenAi.Config.html#api_key/0"},{"type":"function","title":"OpenAi.Config.base_url/0","doc":"Returns the base URL for the OpenAI API.\nDefaults to \"https://api.openai.com/v1/\".","ref":"OpenAi.Config.html#base_url/0"},{"type":"function","title":"OpenAi.Config.http_client/0","doc":"Returns the HTTP client module to use for making requests.\nDefaults to HTTPoison.\n\nThis is useful for testing, where you might want to use a mock HTTP client.","ref":"OpenAi.Config.html#http_client/0"},{"type":"module","title":"OpenAi.Audio","doc":"Provides API endpoints related to audio","ref":"OpenAi.Audio.html"},{"type":"function","title":"OpenAi.Audio.create_speech/2","doc":"Generates audio from the input text.","ref":"OpenAi.Audio.html#create_speech/2"},{"type":"function","title":"OpenAi.Audio.create_transcription/2","doc":"Transcribes audio into the input language.","ref":"OpenAi.Audio.html#create_transcription/2"},{"type":"function","title":"OpenAi.Audio.create_translation/2","doc":"Translates audio into English.","ref":"OpenAi.Audio.html#create_translation/2"},{"type":"module","title":"OpenAi.Batch","doc":"Provides API endpoints related to batch","ref":"OpenAi.Batch.html"},{"type":"function","title":"OpenAi.Batch.cancel_batch/2","doc":"Cancels an in-progress batch. The batch will be in status `cancelling` for up to 10 minutes, before changing to `cancelled`, where it will have partial results (if any) available in the output file.","ref":"OpenAi.Batch.html#cancel_batch/2"},{"type":"function","title":"OpenAi.Batch.create_batch/2","doc":"Creates and executes a batch from an uploaded file of requests","ref":"OpenAi.Batch.html#create_batch/2"},{"type":"function","title":"OpenAi.Batch.list_batches/1","doc":"List your organization's batches.","ref":"OpenAi.Batch.html#list_batches/1"},{"type":"function","title":"Options - OpenAi.Batch.list_batches/1","doc":"* `after`: A cursor for use in pagination. `after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.\n    \n  * `limit`: A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.","ref":"OpenAi.Batch.html#list_batches/1-options"},{"type":"function","title":"OpenAi.Batch.retrieve_batch/2","doc":"Retrieves a batch.","ref":"OpenAi.Batch.html#retrieve_batch/2"},{"type":"type","title":"OpenAi.Batch.t/0","doc":"","ref":"OpenAi.Batch.html#t:t/0"},{"type":"module","title":"OpenAi.Chat","doc":"Provides API endpoint related to chat","ref":"OpenAi.Chat.html"},{"type":"function","title":"OpenAi.Chat.create_chat_completion/2","doc":"Creates a model response for the given chat conversation.","ref":"OpenAi.Chat.html#create_chat_completion/2"},{"type":"module","title":"OpenAi.Embeddings","doc":"Provides API endpoint related to embeddings","ref":"OpenAi.Embeddings.html"},{"type":"function","title":"OpenAi.Embeddings.create_embedding/2","doc":"Creates an embedding vector representing the input text.","ref":"OpenAi.Embeddings.html#create_embedding/2"},{"type":"module","title":"OpenAi.Files","doc":"Provides API endpoints related to files","ref":"OpenAi.Files.html"},{"type":"function","title":"OpenAi.Files.create_file/2","doc":"Upload a file that can be used across various endpoints. Individual files can be up to 512 MB, and the size of all files uploaded by one organization can be up to 100 GB.\n\nThe Assistants API supports files up to 2 million tokens and of specific file types. See the [Assistants Tools guide](/docs/assistants/tools) for details.\n\nThe Fine-tuning API only supports `.jsonl` files. The input also has certain required formats for fine-tuning [chat](/docs/api-reference/fine-tuning/chat-input) or [completions](/docs/api-reference/fine-tuning/completions-input) models.\n\nThe Batch API only supports `.jsonl` files up to 100 MB in size. The input also has a specific required [format](/docs/api-reference/batch/request-input).\n\nPlease [contact us](https://help.openai.com/) if you need to increase these storage limits.","ref":"OpenAi.Files.html#create_file/2"},{"type":"function","title":"OpenAi.Files.delete_file/2","doc":"Delete a file.","ref":"OpenAi.Files.html#delete_file/2"},{"type":"function","title":"OpenAi.Files.download_file/2","doc":"Returns the contents of the specified file.","ref":"OpenAi.Files.html#download_file/2"},{"type":"function","title":"OpenAi.Files.list_files/1","doc":"Returns a list of files that belong to the user's organization.","ref":"OpenAi.Files.html#list_files/1"},{"type":"function","title":"Options - OpenAi.Files.list_files/1","doc":"* `purpose`: Only return files with the given purpose.","ref":"OpenAi.Files.html#list_files/1-options"},{"type":"function","title":"OpenAi.Files.retrieve_file/2","doc":"Returns information about a specific file.","ref":"OpenAi.Files.html#retrieve_file/2"},{"type":"module","title":"OpenAi.FineTuning","doc":"Provides API endpoints related to fine tuning","ref":"OpenAi.FineTuning.html"},{"type":"function","title":"OpenAi.FineTuning.cancel_fine_tuning_job/2","doc":"Immediately cancel a fine-tune job.","ref":"OpenAi.FineTuning.html#cancel_fine_tuning_job/2"},{"type":"function","title":"OpenAi.FineTuning.create_fine_tuning_job/2","doc":"Creates a fine-tuning job which begins the process of creating a new model from a given dataset.\n\nResponse includes details of the enqueued job including job status and the name of the fine-tuned models once complete.\n\n[Learn more about fine-tuning](/docs/guides/fine-tuning)","ref":"OpenAi.FineTuning.html#create_fine_tuning_job/2"},{"type":"function","title":"OpenAi.FineTuning.list_fine_tuning_events/2","doc":"Get status updates for a fine-tuning job.","ref":"OpenAi.FineTuning.html#list_fine_tuning_events/2"},{"type":"function","title":"Options - OpenAi.FineTuning.list_fine_tuning_events/2","doc":"* `after`: Identifier for the last event from the previous pagination request.\n  * `limit`: Number of events to retrieve.","ref":"OpenAi.FineTuning.html#list_fine_tuning_events/2-options"},{"type":"function","title":"OpenAi.FineTuning.list_fine_tuning_job_checkpoints/2","doc":"List checkpoints for a fine-tuning job.","ref":"OpenAi.FineTuning.html#list_fine_tuning_job_checkpoints/2"},{"type":"function","title":"Options - OpenAi.FineTuning.list_fine_tuning_job_checkpoints/2","doc":"* `after`: Identifier for the last checkpoint ID from the previous pagination request.\n  * `limit`: Number of checkpoints to retrieve.","ref":"OpenAi.FineTuning.html#list_fine_tuning_job_checkpoints/2-options"},{"type":"function","title":"OpenAi.FineTuning.list_paginated_fine_tuning_jobs/1","doc":"List your organization's fine-tuning jobs","ref":"OpenAi.FineTuning.html#list_paginated_fine_tuning_jobs/1"},{"type":"function","title":"Options - OpenAi.FineTuning.list_paginated_fine_tuning_jobs/1","doc":"* `after`: Identifier for the last job from the previous pagination request.\n  * `limit`: Number of fine-tuning jobs to retrieve.","ref":"OpenAi.FineTuning.html#list_paginated_fine_tuning_jobs/1-options"},{"type":"function","title":"OpenAi.FineTuning.retrieve_fine_tuning_job/2","doc":"Get info about a fine-tuning job.\n\n[Learn more about fine-tuning](/docs/guides/fine-tuning)","ref":"OpenAi.FineTuning.html#retrieve_fine_tuning_job/2"},{"type":"module","title":"OpenAi.Images","doc":"Provides API endpoints related to images","ref":"OpenAi.Images.html"},{"type":"function","title":"OpenAi.Images.create_image/2","doc":"Creates an image given a prompt.","ref":"OpenAi.Images.html#create_image/2"},{"type":"function","title":"OpenAi.Images.create_image_edit/2","doc":"Creates an edited or extended image given an original image and a prompt.","ref":"OpenAi.Images.html#create_image_edit/2"},{"type":"function","title":"OpenAi.Images.create_image_variation/2","doc":"Creates a variation of a given image.","ref":"OpenAi.Images.html#create_image_variation/2"},{"type":"module","title":"OpenAi.Models","doc":"Provides API endpoints related to models","ref":"OpenAi.Models.html"},{"type":"function","title":"OpenAi.Models.delete_model/2","doc":"Delete a fine-tuned model. You must have the Owner role in your organization to delete a model.","ref":"OpenAi.Models.html#delete_model/2"},{"type":"function","title":"OpenAi.Models.list_models/1","doc":"Lists the currently available models, and provides basic information about each one such as the owner and availability.","ref":"OpenAi.Models.html#list_models/1"},{"type":"function","title":"OpenAi.Models.retrieve_model/2","doc":"Retrieves a model instance, providing basic information about the model such as the owner and permissioning.","ref":"OpenAi.Models.html#retrieve_model/2"},{"type":"module","title":"OpenAi.Moderations","doc":"Provides API endpoint related to moderations","ref":"OpenAi.Moderations.html"},{"type":"function","title":"OpenAi.Moderations.create_moderation/2","doc":"Classifies if text is potentially harmful.","ref":"OpenAi.Moderations.html#create_moderation/2"},{"type":"module","title":"OpenAi.Assistants","doc":"Provides API endpoints related to assistants","ref":"OpenAi.Assistants.html"},{"type":"function","title":"OpenAi.Assistants.cancel_run/3","doc":"Cancels a run that is `in_progress`.","ref":"OpenAi.Assistants.html#cancel_run/3"},{"type":"function","title":"OpenAi.Assistants.create_assistant/2","doc":"Create an assistant with a model and instructions.","ref":"OpenAi.Assistants.html#create_assistant/2"},{"type":"function","title":"OpenAi.Assistants.create_message/3","doc":"Create a message.","ref":"OpenAi.Assistants.html#create_message/3"},{"type":"function","title":"OpenAi.Assistants.create_run/3","doc":"Create a run.","ref":"OpenAi.Assistants.html#create_run/3"},{"type":"function","title":"OpenAi.Assistants.create_thread/2","doc":"Create a thread.","ref":"OpenAi.Assistants.html#create_thread/2"},{"type":"function","title":"OpenAi.Assistants.create_thread_and_run/2","doc":"Create a thread and run it in one request.","ref":"OpenAi.Assistants.html#create_thread_and_run/2"},{"type":"function","title":"OpenAi.Assistants.delete_assistant/2","doc":"Delete an assistant.","ref":"OpenAi.Assistants.html#delete_assistant/2"},{"type":"function","title":"OpenAi.Assistants.delete_message/3","doc":"Deletes a message.","ref":"OpenAi.Assistants.html#delete_message/3"},{"type":"function","title":"OpenAi.Assistants.delete_thread/2","doc":"Delete a thread.","ref":"OpenAi.Assistants.html#delete_thread/2"},{"type":"function","title":"OpenAi.Assistants.get_assistant/2","doc":"Retrieves an assistant.","ref":"OpenAi.Assistants.html#get_assistant/2"},{"type":"function","title":"OpenAi.Assistants.get_message/3","doc":"Retrieve a message.","ref":"OpenAi.Assistants.html#get_message/3"},{"type":"function","title":"OpenAi.Assistants.get_run/3","doc":"Retrieves a run.","ref":"OpenAi.Assistants.html#get_run/3"},{"type":"function","title":"OpenAi.Assistants.get_run_step/4","doc":"Retrieves a run step.","ref":"OpenAi.Assistants.html#get_run_step/4"},{"type":"function","title":"OpenAi.Assistants.get_thread/2","doc":"Retrieves a thread.","ref":"OpenAi.Assistants.html#get_thread/2"},{"type":"function","title":"OpenAi.Assistants.list_assistants/1","doc":"Returns a list of assistants.","ref":"OpenAi.Assistants.html#list_assistants/1"},{"type":"function","title":"Options - OpenAi.Assistants.list_assistants/1","doc":"* `limit`: A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.\n    \n  * `order`: Sort order by the `created_at` timestamp of the objects. `asc` for ascending order and `desc` for descending order.\n    \n  * `after`: A cursor for use in pagination. `after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.\n    \n  * `before`: A cursor for use in pagination. `before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include before=obj_foo in order to fetch the previous page of the list.","ref":"OpenAi.Assistants.html#list_assistants/1-options"},{"type":"function","title":"OpenAi.Assistants.list_messages/2","doc":"Returns a list of messages for a given thread.","ref":"OpenAi.Assistants.html#list_messages/2"},{"type":"function","title":"Options - OpenAi.Assistants.list_messages/2","doc":"* `limit`: A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.\n    \n  * `order`: Sort order by the `created_at` timestamp of the objects. `asc` for ascending order and `desc` for descending order.\n    \n  * `after`: A cursor for use in pagination. `after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.\n    \n  * `before`: A cursor for use in pagination. `before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include before=obj_foo in order to fetch the previous page of the list.\n    \n  * `run_id`: Filter messages by the run ID that generated them.","ref":"OpenAi.Assistants.html#list_messages/2-options"},{"type":"function","title":"OpenAi.Assistants.list_run_steps/3","doc":"Returns a list of run steps belonging to a run.","ref":"OpenAi.Assistants.html#list_run_steps/3"},{"type":"function","title":"Options - OpenAi.Assistants.list_run_steps/3","doc":"* `limit`: A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.\n    \n  * `order`: Sort order by the `created_at` timestamp of the objects. `asc` for ascending order and `desc` for descending order.\n    \n  * `after`: A cursor for use in pagination. `after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.\n    \n  * `before`: A cursor for use in pagination. `before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include before=obj_foo in order to fetch the previous page of the list.","ref":"OpenAi.Assistants.html#list_run_steps/3-options"},{"type":"function","title":"OpenAi.Assistants.list_runs/2","doc":"Returns a list of runs belonging to a thread.","ref":"OpenAi.Assistants.html#list_runs/2"},{"type":"function","title":"Options - OpenAi.Assistants.list_runs/2","doc":"* `limit`: A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.\n    \n  * `order`: Sort order by the `created_at` timestamp of the objects. `asc` for ascending order and `desc` for descending order.\n    \n  * `after`: A cursor for use in pagination. `after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.\n    \n  * `before`: A cursor for use in pagination. `before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include before=obj_foo in order to fetch the previous page of the list.","ref":"OpenAi.Assistants.html#list_runs/2-options"},{"type":"function","title":"OpenAi.Assistants.modify_assistant/3","doc":"Modifies an assistant.","ref":"OpenAi.Assistants.html#modify_assistant/3"},{"type":"function","title":"OpenAi.Assistants.modify_message/4","doc":"Modifies a message.","ref":"OpenAi.Assistants.html#modify_message/4"},{"type":"function","title":"OpenAi.Assistants.modify_run/4","doc":"Modifies a run.","ref":"OpenAi.Assistants.html#modify_run/4"},{"type":"function","title":"OpenAi.Assistants.modify_thread/3","doc":"Modifies a thread.","ref":"OpenAi.Assistants.html#modify_thread/3"},{"type":"function","title":"OpenAi.Assistants.submit_tool_ouputs_to_run/4","doc":"When a run has the `status: \"requires_action\"` and `required_action.type` is `submit_tool_outputs`, this endpoint can be used to submit the outputs from the tool calls once they're all completed. All outputs must be submitted in a single request.","ref":"OpenAi.Assistants.html#submit_tool_ouputs_to_run/4"},{"type":"module","title":"OpenAi.VectorStores","doc":"Provides API endpoints related to vector stores","ref":"OpenAi.VectorStores.html"},{"type":"function","title":"OpenAi.VectorStores.cancel_vector_store_file_batch/3","doc":"Cancel a vector store file batch. This attempts to cancel the processing of files in this batch as soon as possible.","ref":"OpenAi.VectorStores.html#cancel_vector_store_file_batch/3"},{"type":"function","title":"OpenAi.VectorStores.create_vector_store/2","doc":"Create a vector store.","ref":"OpenAi.VectorStores.html#create_vector_store/2"},{"type":"function","title":"OpenAi.VectorStores.create_vector_store_file/3","doc":"Create a vector store file by attaching a [File](/docs/api-reference/files) to a [vector store](/docs/api-reference/vector-stores/object).","ref":"OpenAi.VectorStores.html#create_vector_store_file/3"},{"type":"function","title":"OpenAi.VectorStores.create_vector_store_file_batch/3","doc":"Create a vector store file batch.","ref":"OpenAi.VectorStores.html#create_vector_store_file_batch/3"},{"type":"function","title":"OpenAi.VectorStores.delete_vector_store/2","doc":"Delete a vector store.","ref":"OpenAi.VectorStores.html#delete_vector_store/2"},{"type":"function","title":"OpenAi.VectorStores.delete_vector_store_file/3","doc":"Delete a vector store file. This will remove the file from the vector store but the file itself will not be deleted. To delete the file, use the [delete file](/docs/api-reference/files/delete) endpoint.","ref":"OpenAi.VectorStores.html#delete_vector_store_file/3"},{"type":"function","title":"OpenAi.VectorStores.get_vector_store/2","doc":"Retrieves a vector store.","ref":"OpenAi.VectorStores.html#get_vector_store/2"},{"type":"function","title":"OpenAi.VectorStores.get_vector_store_file/3","doc":"Retrieves a vector store file.","ref":"OpenAi.VectorStores.html#get_vector_store_file/3"},{"type":"function","title":"OpenAi.VectorStores.get_vector_store_file_batch/3","doc":"Retrieves a vector store file batch.","ref":"OpenAi.VectorStores.html#get_vector_store_file_batch/3"},{"type":"function","title":"OpenAi.VectorStores.list_files_in_vector_store_batch/3","doc":"Returns a list of vector store files in a batch.","ref":"OpenAi.VectorStores.html#list_files_in_vector_store_batch/3"},{"type":"function","title":"Options - OpenAi.VectorStores.list_files_in_vector_store_batch/3","doc":"* `limit`: A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.\n    \n  * `order`: Sort order by the `created_at` timestamp of the objects. `asc` for ascending order and `desc` for descending order.\n    \n  * `after`: A cursor for use in pagination. `after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.\n    \n  * `before`: A cursor for use in pagination. `before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include before=obj_foo in order to fetch the previous page of the list.\n    \n  * `filter`: Filter by file status. One of `in_progress`, `completed`, `failed`, `cancelled`.","ref":"OpenAi.VectorStores.html#list_files_in_vector_store_batch/3-options"},{"type":"function","title":"OpenAi.VectorStores.list_vector_store_files/2","doc":"Returns a list of vector store files.","ref":"OpenAi.VectorStores.html#list_vector_store_files/2"},{"type":"function","title":"Options - OpenAi.VectorStores.list_vector_store_files/2","doc":"* `limit`: A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.\n    \n  * `order`: Sort order by the `created_at` timestamp of the objects. `asc` for ascending order and `desc` for descending order.\n    \n  * `after`: A cursor for use in pagination. `after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.\n    \n  * `before`: A cursor for use in pagination. `before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include before=obj_foo in order to fetch the previous page of the list.\n    \n  * `filter`: Filter by file status. One of `in_progress`, `completed`, `failed`, `cancelled`.","ref":"OpenAi.VectorStores.html#list_vector_store_files/2-options"},{"type":"function","title":"OpenAi.VectorStores.list_vector_stores/1","doc":"Returns a list of vector stores.","ref":"OpenAi.VectorStores.html#list_vector_stores/1"},{"type":"function","title":"Options - OpenAi.VectorStores.list_vector_stores/1","doc":"* `limit`: A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.\n    \n  * `order`: Sort order by the `created_at` timestamp of the objects. `asc` for ascending order and `desc` for descending order.\n    \n  * `after`: A cursor for use in pagination. `after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.\n    \n  * `before`: A cursor for use in pagination. `before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include before=obj_foo in order to fetch the previous page of the list.","ref":"OpenAi.VectorStores.html#list_vector_stores/1-options"},{"type":"function","title":"OpenAi.VectorStores.modify_vector_store/3","doc":"Modifies a vector store.","ref":"OpenAi.VectorStores.html#modify_vector_store/3"},{"type":"module","title":"OpenAi.Completions","doc":"Provides API endpoint related to completions","ref":"OpenAi.Completions.html"},{"type":"function","title":"OpenAi.Completions.create_completion/2","doc":"Creates a completion for the provided prompt and parameters.","ref":"OpenAi.Completions.html#create_completion/2"},{"type":"module","title":"OpenAi.Assistant","doc":"Provides struct and type for a Assistant","ref":"OpenAi.Assistant.html"},{"type":"type","title":"OpenAi.Assistant.t/0","doc":"","ref":"OpenAi.Assistant.html#t:t/0"},{"type":"module","title":"OpenAi.Assistant.ApiResponseFormat","doc":"Provides struct and type for a Assistant.ApiResponseFormat","ref":"OpenAi.Assistant.ApiResponseFormat.html"},{"type":"type","title":"OpenAi.Assistant.ApiResponseFormat.t/0","doc":"","ref":"OpenAi.Assistant.ApiResponseFormat.html#t:t/0"},{"type":"module","title":"OpenAi.Assistant.CreateRequest","doc":"Provides struct and type for a Assistant.CreateRequest","ref":"OpenAi.Assistant.CreateRequest.html"},{"type":"type","title":"OpenAi.Assistant.CreateRequest.t/0","doc":"","ref":"OpenAi.Assistant.CreateRequest.html#t:t/0"},{"type":"module","title":"OpenAi.Assistant.CreateRequest.ToolResources","doc":"Provides struct and type for a Assistant.CreateRequest.ToolResources","ref":"OpenAi.Assistant.CreateRequest.ToolResources.html"},{"type":"type","title":"OpenAi.Assistant.CreateRequest.ToolResources.t/0","doc":"","ref":"OpenAi.Assistant.CreateRequest.ToolResources.html#t:t/0"},{"type":"module","title":"OpenAi.Assistant.CreateRequest.ToolResources.CodeInterpreter","doc":"Provides struct and type for a Assistant.CreateRequest.ToolResources.CodeInterpreter","ref":"OpenAi.Assistant.CreateRequest.ToolResources.CodeInterpreter.html"},{"type":"type","title":"OpenAi.Assistant.CreateRequest.ToolResources.CodeInterpreter.t/0","doc":"","ref":"OpenAi.Assistant.CreateRequest.ToolResources.CodeInterpreter.html#t:t/0"},{"type":"module","title":"OpenAi.Assistant.DeleteResponse","doc":"Provides struct and type for a Assistant.DeleteResponse","ref":"OpenAi.Assistant.DeleteResponse.html"},{"type":"type","title":"OpenAi.Assistant.DeleteResponse.t/0","doc":"","ref":"OpenAi.Assistant.DeleteResponse.html#t:t/0"},{"type":"module","title":"OpenAi.Assistant.ListResponse","doc":"Provides struct and type for a Assistant.ListResponse","ref":"OpenAi.Assistant.ListResponse.html"},{"type":"type","title":"OpenAi.Assistant.ListResponse.t/0","doc":"","ref":"OpenAi.Assistant.ListResponse.html#t:t/0"},{"type":"module","title":"OpenAi.Assistant.NamedToolChoice","doc":"Provides struct and type for a Assistant.NamedToolChoice","ref":"OpenAi.Assistant.NamedToolChoice.html"},{"type":"type","title":"OpenAi.Assistant.NamedToolChoice.t/0","doc":"","ref":"OpenAi.Assistant.NamedToolChoice.html#t:t/0"},{"type":"module","title":"OpenAi.Assistant.NamedToolChoiceFunction","doc":"Provides struct and type for a Assistant.NamedToolChoiceFunction","ref":"OpenAi.Assistant.NamedToolChoiceFunction.html"},{"type":"type","title":"OpenAi.Assistant.NamedToolChoiceFunction.t/0","doc":"","ref":"OpenAi.Assistant.NamedToolChoiceFunction.html#t:t/0"},{"type":"module","title":"OpenAi.Assistant.Tool.Code","doc":"Provides struct and type for a Assistant.Tool.Code","ref":"OpenAi.Assistant.Tool.Code.html"},{"type":"type","title":"OpenAi.Assistant.Tool.Code.t/0","doc":"","ref":"OpenAi.Assistant.Tool.Code.html#t:t/0"},{"type":"module","title":"OpenAi.Assistant.Tool.File.Search","doc":"Provides struct and type for a Assistant.Tool.File.Search","ref":"OpenAi.Assistant.Tool.File.Search.html"},{"type":"type","title":"OpenAi.Assistant.Tool.File.Search.t/0","doc":"","ref":"OpenAi.Assistant.Tool.File.Search.html#t:t/0"},{"type":"module","title":"OpenAi.Assistant.Tool.File.SearchFileSearch","doc":"Provides struct and type for a Assistant.Tool.File.SearchFileSearch","ref":"OpenAi.Assistant.Tool.File.SearchFileSearch.html"},{"type":"type","title":"OpenAi.Assistant.Tool.File.SearchFileSearch.t/0","doc":"","ref":"OpenAi.Assistant.Tool.File.SearchFileSearch.html#t:t/0"},{"type":"module","title":"OpenAi.Assistant.Tool.File.SearchTypeOnly","doc":"Provides struct and type for a Assistant.Tool.File.SearchTypeOnly","ref":"OpenAi.Assistant.Tool.File.SearchTypeOnly.html"},{"type":"type","title":"OpenAi.Assistant.Tool.File.SearchTypeOnly.t/0","doc":"","ref":"OpenAi.Assistant.Tool.File.SearchTypeOnly.html#t:t/0"},{"type":"module","title":"OpenAi.Assistant.Tool.Function","doc":"Provides struct and type for a Assistant.Tool.Function","ref":"OpenAi.Assistant.Tool.Function.html"},{"type":"type","title":"OpenAi.Assistant.Tool.Function.t/0","doc":"","ref":"OpenAi.Assistant.Tool.Function.html#t:t/0"},{"type":"module","title":"OpenAi.Assistant.Tool.Outputs.RunSubmitRequest","doc":"Provides struct and type for a Assistant.Tool.Outputs.RunSubmitRequest","ref":"OpenAi.Assistant.Tool.Outputs.RunSubmitRequest.html"},{"type":"type","title":"OpenAi.Assistant.Tool.Outputs.RunSubmitRequest.t/0","doc":"","ref":"OpenAi.Assistant.Tool.Outputs.RunSubmitRequest.html#t:t/0"},{"type":"module","title":"OpenAi.Assistant.Tool.Outputs.RunSubmitRequest.ToolOutputs","doc":"Provides struct and type for a Assistant.Tool.Outputs.RunSubmitRequest.ToolOutputs","ref":"OpenAi.Assistant.Tool.Outputs.RunSubmitRequest.ToolOutputs.html"},{"type":"type","title":"OpenAi.Assistant.Tool.Outputs.RunSubmitRequest.ToolOutputs.t/0","doc":"","ref":"OpenAi.Assistant.Tool.Outputs.RunSubmitRequest.ToolOutputs.html#t:t/0"},{"type":"module","title":"OpenAi.Assistant.Tool.Resources","doc":"Provides struct and type for a Assistant.Tool.Resources","ref":"OpenAi.Assistant.Tool.Resources.html"},{"type":"type","title":"OpenAi.Assistant.Tool.Resources.t/0","doc":"","ref":"OpenAi.Assistant.Tool.Resources.html#t:t/0"},{"type":"module","title":"OpenAi.Assistant.Tool.Resources.CodeInterpreter","doc":"Provides struct and type for a Assistant.Tool.Resources.CodeInterpreter","ref":"OpenAi.Assistant.Tool.Resources.CodeInterpreter.html"},{"type":"type","title":"OpenAi.Assistant.Tool.Resources.CodeInterpreter.t/0","doc":"","ref":"OpenAi.Assistant.Tool.Resources.CodeInterpreter.html#t:t/0"},{"type":"module","title":"OpenAi.Assistant.Tool.Resources.FileSearch","doc":"Provides struct and type for a Assistant.Tool.Resources.FileSearch","ref":"OpenAi.Assistant.Tool.Resources.FileSearch.html"},{"type":"type","title":"OpenAi.Assistant.Tool.Resources.FileSearch.t/0","doc":"","ref":"OpenAi.Assistant.Tool.Resources.FileSearch.html#t:t/0"},{"type":"module","title":"OpenAi.Assistant.UpdateRequest","doc":"Provides struct and type for a Assistant.UpdateRequest","ref":"OpenAi.Assistant.UpdateRequest.html"},{"type":"type","title":"OpenAi.Assistant.UpdateRequest.t/0","doc":"","ref":"OpenAi.Assistant.UpdateRequest.html#t:t/0"},{"type":"module","title":"OpenAi.Assistant.UpdateRequest.ToolResources","doc":"Provides struct and type for a Assistant.UpdateRequest.ToolResources","ref":"OpenAi.Assistant.UpdateRequest.ToolResources.html"},{"type":"type","title":"OpenAi.Assistant.UpdateRequest.ToolResources.t/0","doc":"","ref":"OpenAi.Assistant.UpdateRequest.ToolResources.html#t:t/0"},{"type":"module","title":"OpenAi.Assistant.UpdateRequest.ToolResources.CodeInterpreter","doc":"Provides struct and type for a Assistant.UpdateRequest.ToolResources.CodeInterpreter","ref":"OpenAi.Assistant.UpdateRequest.ToolResources.CodeInterpreter.html"},{"type":"type","title":"OpenAi.Assistant.UpdateRequest.ToolResources.CodeInterpreter.t/0","doc":"","ref":"OpenAi.Assistant.UpdateRequest.ToolResources.CodeInterpreter.html#t:t/0"},{"type":"module","title":"OpenAi.Assistant.UpdateRequest.ToolResources.FileSearch","doc":"Provides struct and type for a Assistant.UpdateRequest.ToolResources.FileSearch","ref":"OpenAi.Assistant.UpdateRequest.ToolResources.FileSearch.html"},{"type":"type","title":"OpenAi.Assistant.UpdateRequest.ToolResources.FileSearch.t/0","doc":"","ref":"OpenAi.Assistant.UpdateRequest.ToolResources.FileSearch.html#t:t/0"},{"type":"module","title":"OpenAi.Audio.Speech.CreateRequest","doc":"Provides struct and type for a Audio.Speech.CreateRequest","ref":"OpenAi.Audio.Speech.CreateRequest.html"},{"type":"type","title":"OpenAi.Audio.Speech.CreateRequest.t/0","doc":"","ref":"OpenAi.Audio.Speech.CreateRequest.html#t:t/0"},{"type":"module","title":"OpenAi.Audio.Transcription.CreateRequest","doc":"Provides struct and type for a Audio.Transcription.CreateRequest","ref":"OpenAi.Audio.Transcription.CreateRequest.html"},{"type":"type","title":"OpenAi.Audio.Transcription.CreateRequest.t/0","doc":"","ref":"OpenAi.Audio.Transcription.CreateRequest.html#t:t/0"},{"type":"module","title":"OpenAi.Audio.Transcription.CreateResponse.Json","doc":"Provides struct and type for a Audio.Transcription.CreateResponse.Json","ref":"OpenAi.Audio.Transcription.CreateResponse.Json.html"},{"type":"type","title":"OpenAi.Audio.Transcription.CreateResponse.Json.t/0","doc":"","ref":"OpenAi.Audio.Transcription.CreateResponse.Json.html#t:t/0"},{"type":"module","title":"OpenAi.Audio.Transcription.CreateResponse.VerboseJson","doc":"Provides struct and type for a Audio.Transcription.CreateResponse.VerboseJson","ref":"OpenAi.Audio.Transcription.CreateResponse.VerboseJson.html"},{"type":"type","title":"OpenAi.Audio.Transcription.CreateResponse.VerboseJson.t/0","doc":"","ref":"OpenAi.Audio.Transcription.CreateResponse.VerboseJson.html#t:t/0"},{"type":"module","title":"OpenAi.Audio.Transcription.Segment","doc":"Provides struct and type for a Audio.Transcription.Segment","ref":"OpenAi.Audio.Transcription.Segment.html"},{"type":"type","title":"OpenAi.Audio.Transcription.Segment.t/0","doc":"","ref":"OpenAi.Audio.Transcription.Segment.html#t:t/0"},{"type":"module","title":"OpenAi.Audio.Transcription.Word","doc":"Provides struct and type for a Audio.Transcription.Word","ref":"OpenAi.Audio.Transcription.Word.html"},{"type":"type","title":"OpenAi.Audio.Transcription.Word.t/0","doc":"","ref":"OpenAi.Audio.Transcription.Word.html#t:t/0"},{"type":"module","title":"OpenAi.Audio.Translation.CreateRequest","doc":"Provides struct and type for a Audio.Translation.CreateRequest","ref":"OpenAi.Audio.Translation.CreateRequest.html"},{"type":"type","title":"OpenAi.Audio.Translation.CreateRequest.t/0","doc":"","ref":"OpenAi.Audio.Translation.CreateRequest.html#t:t/0"},{"type":"module","title":"OpenAi.Audio.Translation.CreateResponse.Json","doc":"Provides struct and type for a Audio.Translation.CreateResponse.Json","ref":"OpenAi.Audio.Translation.CreateResponse.Json.html"},{"type":"type","title":"OpenAi.Audio.Translation.CreateResponse.Json.t/0","doc":"","ref":"OpenAi.Audio.Translation.CreateResponse.Json.html#t:t/0"},{"type":"module","title":"OpenAi.Audio.Translation.CreateResponse.VerboseJson","doc":"Provides struct and type for a Audio.Translation.CreateResponse.VerboseJson","ref":"OpenAi.Audio.Translation.CreateResponse.VerboseJson.html"},{"type":"type","title":"OpenAi.Audio.Translation.CreateResponse.VerboseJson.t/0","doc":"","ref":"OpenAi.Audio.Translation.CreateResponse.VerboseJson.html#t:t/0"},{"type":"module","title":"OpenAi.Batch.Errors","doc":"Provides struct and type for a Batch.Errors","ref":"OpenAi.Batch.Errors.html"},{"type":"type","title":"OpenAi.Batch.Errors.t/0","doc":"","ref":"OpenAi.Batch.Errors.html#t:t/0"},{"type":"module","title":"OpenAi.Batch.ErrorsData","doc":"Provides struct and type for a Batch.ErrorsData","ref":"OpenAi.Batch.ErrorsData.html"},{"type":"type","title":"OpenAi.Batch.ErrorsData.t/0","doc":"","ref":"OpenAi.Batch.ErrorsData.html#t:t/0"},{"type":"module","title":"OpenAi.Batch.ListResponse","doc":"Provides struct and type for a Batch.ListResponse","ref":"OpenAi.Batch.ListResponse.html"},{"type":"type","title":"OpenAi.Batch.ListResponse.t/0","doc":"","ref":"OpenAi.Batch.ListResponse.html#t:t/0"},{"type":"module","title":"OpenAi.Batch.RequestCounts","doc":"Provides struct and type for a Batch.RequestCounts","ref":"OpenAi.Batch.RequestCounts.html"},{"type":"type","title":"OpenAi.Batch.RequestCounts.t/0","doc":"","ref":"OpenAi.Batch.RequestCounts.html#t:t/0"},{"type":"module","title":"OpenAi.Chat.Completion.CreateRequest","doc":"Provides struct and type for a Chat.Completion.CreateRequest","ref":"OpenAi.Chat.Completion.CreateRequest.html"},{"type":"type","title":"OpenAi.Chat.Completion.CreateRequest.t/0","doc":"","ref":"OpenAi.Chat.Completion.CreateRequest.html#t:t/0"},{"type":"module","title":"OpenAi.Chat.Completion.CreateRequest.LogitBias","doc":"Provides struct and type for a Chat.Completion.CreateRequest.LogitBias","ref":"OpenAi.Chat.Completion.CreateRequest.LogitBias.html"},{"type":"type","title":"OpenAi.Chat.Completion.CreateRequest.LogitBias.t/0","doc":"","ref":"OpenAi.Chat.Completion.CreateRequest.LogitBias.html#t:t/0"},{"type":"module","title":"OpenAi.Chat.Completion.CreateResponse","doc":"Provides struct and type for a Chat.Completion.CreateResponse","ref":"OpenAi.Chat.Completion.CreateResponse.html"},{"type":"type","title":"OpenAi.Chat.Completion.CreateResponse.t/0","doc":"","ref":"OpenAi.Chat.Completion.CreateResponse.html#t:t/0"},{"type":"module","title":"OpenAi.Chat.Completion.CreateResponse.Choice","doc":"Provides struct and type for a Chat.Completion.CreateResponse.Choice","ref":"OpenAi.Chat.Completion.CreateResponse.Choice.html"},{"type":"type","title":"OpenAi.Chat.Completion.CreateResponse.Choice.t/0","doc":"","ref":"OpenAi.Chat.Completion.CreateResponse.Choice.html#t:t/0"},{"type":"module","title":"OpenAi.Chat.Completion.CreateResponse.Choice.Logprobs","doc":"Provides struct and type for a Chat.Completion.CreateResponse.Choice.Logprobs","ref":"OpenAi.Chat.Completion.CreateResponse.Choice.Logprobs.html"},{"type":"type","title":"OpenAi.Chat.Completion.CreateResponse.Choice.Logprobs.t/0","doc":"","ref":"OpenAi.Chat.Completion.CreateResponse.Choice.Logprobs.html#t:t/0"},{"type":"module","title":"OpenAi.Chat.Completion.Function","doc":"Provides struct and type for a Chat.Completion.Function","ref":"OpenAi.Chat.Completion.Function.html"},{"type":"type","title":"OpenAi.Chat.Completion.Function.t/0","doc":"","ref":"OpenAi.Chat.Completion.Function.html#t:t/0"},{"type":"module","title":"OpenAi.Chat.Completion.FunctionCallOption","doc":"Provides struct and type for a Chat.Completion.FunctionCallOption","ref":"OpenAi.Chat.Completion.FunctionCallOption.html"},{"type":"type","title":"OpenAi.Chat.Completion.FunctionCallOption.t/0","doc":"","ref":"OpenAi.Chat.Completion.FunctionCallOption.html#t:t/0"},{"type":"module","title":"OpenAi.Chat.Completion.MessageTool.Call","doc":"Provides struct and type for a Chat.Completion.MessageTool.Call","ref":"OpenAi.Chat.Completion.MessageTool.Call.html"},{"type":"type","title":"OpenAi.Chat.Completion.MessageTool.Call.t/0","doc":"","ref":"OpenAi.Chat.Completion.MessageTool.Call.html#t:t/0"},{"type":"module","title":"OpenAi.Chat.Completion.MessageTool.CallFunction","doc":"Provides struct and type for a Chat.Completion.MessageTool.CallFunction","ref":"OpenAi.Chat.Completion.MessageTool.CallFunction.html"},{"type":"type","title":"OpenAi.Chat.Completion.MessageTool.CallFunction.t/0","doc":"","ref":"OpenAi.Chat.Completion.MessageTool.CallFunction.html#t:t/0"},{"type":"module","title":"OpenAi.Chat.Completion.NamedTool.Choice","doc":"Provides struct and type for a Chat.Completion.NamedTool.Choice","ref":"OpenAi.Chat.Completion.NamedTool.Choice.html"},{"type":"type","title":"OpenAi.Chat.Completion.NamedTool.Choice.t/0","doc":"","ref":"OpenAi.Chat.Completion.NamedTool.Choice.html#t:t/0"},{"type":"module","title":"OpenAi.Chat.Completion.NamedTool.ChoiceFunction","doc":"Provides struct and type for a Chat.Completion.NamedTool.ChoiceFunction","ref":"OpenAi.Chat.Completion.NamedTool.ChoiceFunction.html"},{"type":"type","title":"OpenAi.Chat.Completion.NamedTool.ChoiceFunction.t/0","doc":"","ref":"OpenAi.Chat.Completion.NamedTool.ChoiceFunction.html#t:t/0"},{"type":"module","title":"OpenAi.Chat.Completion.Request.AssistantMessage","doc":"Provides struct and type for a Chat.Completion.Request.AssistantMessage","ref":"OpenAi.Chat.Completion.Request.AssistantMessage.html"},{"type":"type","title":"OpenAi.Chat.Completion.Request.AssistantMessage.t/0","doc":"","ref":"OpenAi.Chat.Completion.Request.AssistantMessage.html#t:t/0"},{"type":"module","title":"OpenAi.Chat.Completion.Request.AssistantMessageFunctionCall","doc":"Provides struct and type for a Chat.Completion.Request.AssistantMessageFunctionCall","ref":"OpenAi.Chat.Completion.Request.AssistantMessageFunctionCall.html"},{"type":"type","title":"OpenAi.Chat.Completion.Request.AssistantMessageFunctionCall.t/0","doc":"","ref":"OpenAi.Chat.Completion.Request.AssistantMessageFunctionCall.html#t:t/0"},{"type":"module","title":"OpenAi.Chat.Completion.Request.CreateResponseFormat","doc":"Provides struct and type for a Chat.Completion.Request.CreateResponseFormat","ref":"OpenAi.Chat.Completion.Request.CreateResponseFormat.html"},{"type":"type","title":"OpenAi.Chat.Completion.Request.CreateResponseFormat.t/0","doc":"","ref":"OpenAi.Chat.Completion.Request.CreateResponseFormat.html#t:t/0"},{"type":"module","title":"OpenAi.Chat.Completion.Request.FunctionMessage","doc":"Provides struct and type for a Chat.Completion.Request.FunctionMessage","ref":"OpenAi.Chat.Completion.Request.FunctionMessage.html"},{"type":"type","title":"OpenAi.Chat.Completion.Request.FunctionMessage.t/0","doc":"","ref":"OpenAi.Chat.Completion.Request.FunctionMessage.html#t:t/0"},{"type":"module","title":"OpenAi.Chat.Completion.Request.SystemMessage","doc":"Provides struct and type for a Chat.Completion.Request.SystemMessage","ref":"OpenAi.Chat.Completion.Request.SystemMessage.html"},{"type":"type","title":"OpenAi.Chat.Completion.Request.SystemMessage.t/0","doc":"","ref":"OpenAi.Chat.Completion.Request.SystemMessage.html#t:t/0"},{"type":"module","title":"OpenAi.Chat.Completion.Request.ToolMessage","doc":"Provides struct and type for a Chat.Completion.Request.ToolMessage","ref":"OpenAi.Chat.Completion.Request.ToolMessage.html"},{"type":"type","title":"OpenAi.Chat.Completion.Request.ToolMessage.t/0","doc":"","ref":"OpenAi.Chat.Completion.Request.ToolMessage.html#t:t/0"},{"type":"module","title":"OpenAi.Chat.Completion.Request.UserMessage","doc":"Provides struct and type for a Chat.Completion.Request.UserMessage","ref":"OpenAi.Chat.Completion.Request.UserMessage.html"},{"type":"type","title":"OpenAi.Chat.Completion.Request.UserMessage.t/0","doc":"","ref":"OpenAi.Chat.Completion.Request.UserMessage.html#t:t/0"},{"type":"module","title":"OpenAi.Chat.Completion.Response.Message","doc":"Provides struct and type for a Chat.Completion.Response.Message","ref":"OpenAi.Chat.Completion.Response.Message.html"},{"type":"type","title":"OpenAi.Chat.Completion.Response.Message.t/0","doc":"","ref":"OpenAi.Chat.Completion.Response.Message.html#t:t/0"},{"type":"module","title":"OpenAi.Chat.Completion.Response.MessageFunctionCall","doc":"Provides struct and type for a Chat.Completion.Response.MessageFunctionCall","ref":"OpenAi.Chat.Completion.Response.MessageFunctionCall.html"},{"type":"type","title":"OpenAi.Chat.Completion.Response.MessageFunctionCall.t/0","doc":"","ref":"OpenAi.Chat.Completion.Response.MessageFunctionCall.html#t:t/0"},{"type":"module","title":"OpenAi.Chat.Completion.StreamOptions","doc":"Provides struct and type for a Chat.Completion.StreamOptions","ref":"OpenAi.Chat.Completion.StreamOptions.html"},{"type":"type","title":"OpenAi.Chat.Completion.StreamOptions.t/0","doc":"","ref":"OpenAi.Chat.Completion.StreamOptions.html#t:t/0"},{"type":"module","title":"OpenAi.Chat.Completion.TokenLogprob","doc":"Provides struct and type for a Chat.Completion.TokenLogprob","ref":"OpenAi.Chat.Completion.TokenLogprob.html"},{"type":"type","title":"OpenAi.Chat.Completion.TokenLogprob.t/0","doc":"","ref":"OpenAi.Chat.Completion.TokenLogprob.html#t:t/0"},{"type":"module","title":"OpenAi.Chat.Completion.TokenLogprobTopLogprobs","doc":"Provides struct and type for a Chat.Completion.TokenLogprobTopLogprobs","ref":"OpenAi.Chat.Completion.TokenLogprobTopLogprobs.html"},{"type":"type","title":"OpenAi.Chat.Completion.TokenLogprobTopLogprobs.t/0","doc":"","ref":"OpenAi.Chat.Completion.TokenLogprobTopLogprobs.html#t:t/0"},{"type":"module","title":"OpenAi.Chat.Completion.Tool","doc":"Provides struct and type for a Chat.Completion.Tool","ref":"OpenAi.Chat.Completion.Tool.html"},{"type":"type","title":"OpenAi.Chat.Completion.Tool.t/0","doc":"","ref":"OpenAi.Chat.Completion.Tool.html#t:t/0"},{"type":"module","title":"OpenAi.Completion.CreateRequest","doc":"Provides struct and type for a Completion.CreateRequest","ref":"OpenAi.Completion.CreateRequest.html"},{"type":"type","title":"OpenAi.Completion.CreateRequest.t/0","doc":"","ref":"OpenAi.Completion.CreateRequest.html#t:t/0"},{"type":"module","title":"OpenAi.Completion.CreateRequest.LogitBias","doc":"Provides struct and type for a Completion.CreateRequest.LogitBias","ref":"OpenAi.Completion.CreateRequest.LogitBias.html"},{"type":"type","title":"OpenAi.Completion.CreateRequest.LogitBias.t/0","doc":"","ref":"OpenAi.Completion.CreateRequest.LogitBias.html#t:t/0"},{"type":"module","title":"OpenAi.Completion.CreateResponse","doc":"Provides struct and type for a Completion.CreateResponse","ref":"OpenAi.Completion.CreateResponse.html"},{"type":"type","title":"OpenAi.Completion.CreateResponse.t/0","doc":"","ref":"OpenAi.Completion.CreateResponse.html#t:t/0"},{"type":"module","title":"OpenAi.Completion.CreateResponse.Choice","doc":"Provides struct and type for a Completion.CreateResponse.Choice","ref":"OpenAi.Completion.CreateResponse.Choice.html"},{"type":"type","title":"OpenAi.Completion.CreateResponse.Choice.t/0","doc":"","ref":"OpenAi.Completion.CreateResponse.Choice.html#t:t/0"},{"type":"module","title":"OpenAi.Completion.CreateResponse.Choice.Logprobs","doc":"Provides struct and type for a Completion.CreateResponse.Choice.Logprobs","ref":"OpenAi.Completion.CreateResponse.Choice.Logprobs.html"},{"type":"type","title":"OpenAi.Completion.CreateResponse.Choice.Logprobs.t/0","doc":"","ref":"OpenAi.Completion.CreateResponse.Choice.Logprobs.html#t:t/0"},{"type":"module","title":"OpenAi.Completion.CreateResponse.Choice.LogprobsTopLogprobs","doc":"Provides struct and type for a Completion.CreateResponse.Choice.LogprobsTopLogprobs","ref":"OpenAi.Completion.CreateResponse.Choice.LogprobsTopLogprobs.html"},{"type":"type","title":"OpenAi.Completion.CreateResponse.Choice.LogprobsTopLogprobs.t/0","doc":"","ref":"OpenAi.Completion.CreateResponse.Choice.LogprobsTopLogprobs.html#t:t/0"},{"type":"module","title":"OpenAi.Completion.Usage","doc":"Provides struct and type for a Completion.Usage","ref":"OpenAi.Completion.Usage.html"},{"type":"type","title":"OpenAi.Completion.Usage.t/0","doc":"","ref":"OpenAi.Completion.Usage.html#t:t/0"},{"type":"module","title":"OpenAi.Embedding","doc":"Provides struct and type for a Embedding","ref":"OpenAi.Embedding.html"},{"type":"type","title":"OpenAi.Embedding.t/0","doc":"","ref":"OpenAi.Embedding.html#t:t/0"},{"type":"module","title":"OpenAi.Embedding.CreateRequest","doc":"Provides struct and type for a Embedding.CreateRequest","ref":"OpenAi.Embedding.CreateRequest.html"},{"type":"type","title":"OpenAi.Embedding.CreateRequest.t/0","doc":"","ref":"OpenAi.Embedding.CreateRequest.html#t:t/0"},{"type":"module","title":"OpenAi.Embedding.CreateResponse","doc":"Provides struct and type for a Embedding.CreateResponse","ref":"OpenAi.Embedding.CreateResponse.html"},{"type":"type","title":"OpenAi.Embedding.CreateResponse.t/0","doc":"","ref":"OpenAi.Embedding.CreateResponse.html#t:t/0"},{"type":"module","title":"OpenAi.Embedding.CreateResponse.Usage","doc":"Provides struct and type for a Embedding.CreateResponse.Usage","ref":"OpenAi.Embedding.CreateResponse.Usage.html"},{"type":"type","title":"OpenAi.Embedding.CreateResponse.Usage.t/0","doc":"","ref":"OpenAi.Embedding.CreateResponse.Usage.html#t:t/0"},{"type":"module","title":"OpenAi.Error","doc":"","ref":"OpenAi.Error.html"},{"type":"type","title":"OpenAi.Error.error/0","doc":"","ref":"OpenAi.Error.html#t:error/0"},{"type":"module","title":"OpenAi.File","doc":"Provides struct and type for a File","ref":"OpenAi.File.html"},{"type":"type","title":"OpenAi.File.t/0","doc":"","ref":"OpenAi.File.html#t:t/0"},{"type":"module","title":"OpenAi.File.CreateRequest","doc":"Provides struct and type for a File.CreateRequest","ref":"OpenAi.File.CreateRequest.html"},{"type":"type","title":"OpenAi.File.CreateRequest.t/0","doc":"","ref":"OpenAi.File.CreateRequest.html#t:t/0"},{"type":"module","title":"OpenAi.File.DeleteResponse","doc":"Provides struct and type for a File.DeleteResponse","ref":"OpenAi.File.DeleteResponse.html"},{"type":"type","title":"OpenAi.File.DeleteResponse.t/0","doc":"","ref":"OpenAi.File.DeleteResponse.html#t:t/0"},{"type":"module","title":"OpenAi.File.ListResponse","doc":"Provides struct and type for a File.ListResponse","ref":"OpenAi.File.ListResponse.html"},{"type":"type","title":"OpenAi.File.ListResponse.t/0","doc":"","ref":"OpenAi.File.ListResponse.html#t:t/0"},{"type":"module","title":"OpenAi.FineTuning.Integration","doc":"Provides struct and type for a FineTuning.Integration","ref":"OpenAi.FineTuning.Integration.html"},{"type":"type","title":"OpenAi.FineTuning.Integration.t/0","doc":"","ref":"OpenAi.FineTuning.Integration.html#t:t/0"},{"type":"module","title":"OpenAi.FineTuning.Integration.Wandb","doc":"Provides struct and type for a FineTuning.Integration.Wandb","ref":"OpenAi.FineTuning.Integration.Wandb.html"},{"type":"type","title":"OpenAi.FineTuning.Integration.Wandb.t/0","doc":"","ref":"OpenAi.FineTuning.Integration.Wandb.html#t:t/0"},{"type":"module","title":"OpenAi.FineTuning.Job","doc":"Provides struct and type for a FineTuning.Job","ref":"OpenAi.FineTuning.Job.html"},{"type":"type","title":"OpenAi.FineTuning.Job.t/0","doc":"","ref":"OpenAi.FineTuning.Job.html#t:t/0"},{"type":"module","title":"OpenAi.FineTuning.Job.Checkpoint","doc":"Provides struct and type for a FineTuning.Job.Checkpoint","ref":"OpenAi.FineTuning.Job.Checkpoint.html"},{"type":"type","title":"OpenAi.FineTuning.Job.Checkpoint.t/0","doc":"","ref":"OpenAi.FineTuning.Job.Checkpoint.html#t:t/0"},{"type":"module","title":"OpenAi.FineTuning.Job.Checkpoint.ListResponse","doc":"Provides struct and type for a FineTuning.Job.Checkpoint.ListResponse","ref":"OpenAi.FineTuning.Job.Checkpoint.ListResponse.html"},{"type":"type","title":"OpenAi.FineTuning.Job.Checkpoint.ListResponse.t/0","doc":"","ref":"OpenAi.FineTuning.Job.Checkpoint.ListResponse.html#t:t/0"},{"type":"module","title":"OpenAi.FineTuning.Job.Checkpoint.Metrics","doc":"Provides struct and type for a FineTuning.Job.Checkpoint.Metrics","ref":"OpenAi.FineTuning.Job.Checkpoint.Metrics.html"},{"type":"type","title":"OpenAi.FineTuning.Job.Checkpoint.Metrics.t/0","doc":"","ref":"OpenAi.FineTuning.Job.Checkpoint.Metrics.html#t:t/0"},{"type":"module","title":"OpenAi.FineTuning.Job.CreateRequest","doc":"Provides struct and type for a FineTuning.Job.CreateRequest","ref":"OpenAi.FineTuning.Job.CreateRequest.html"},{"type":"type","title":"OpenAi.FineTuning.Job.CreateRequest.t/0","doc":"","ref":"OpenAi.FineTuning.Job.CreateRequest.html#t:t/0"},{"type":"module","title":"OpenAi.FineTuning.Job.CreateRequest.Hyperparameters","doc":"Provides struct and type for a FineTuning.Job.CreateRequest.Hyperparameters","ref":"OpenAi.FineTuning.Job.CreateRequest.Hyperparameters.html"},{"type":"type","title":"OpenAi.FineTuning.Job.CreateRequest.Hyperparameters.t/0","doc":"","ref":"OpenAi.FineTuning.Job.CreateRequest.Hyperparameters.html#t:t/0"},{"type":"module","title":"OpenAi.FineTuning.Job.CreateRequest.Integrations","doc":"Provides struct and type for a FineTuning.Job.CreateRequest.Integrations","ref":"OpenAi.FineTuning.Job.CreateRequest.Integrations.html"},{"type":"type","title":"OpenAi.FineTuning.Job.CreateRequest.Integrations.t/0","doc":"","ref":"OpenAi.FineTuning.Job.CreateRequest.Integrations.html#t:t/0"},{"type":"module","title":"OpenAi.FineTuning.Job.CreateRequest.IntegrationsWandb","doc":"Provides struct and type for a FineTuning.Job.CreateRequest.IntegrationsWandb","ref":"OpenAi.FineTuning.Job.CreateRequest.IntegrationsWandb.html"},{"type":"type","title":"OpenAi.FineTuning.Job.CreateRequest.IntegrationsWandb.t/0","doc":"","ref":"OpenAi.FineTuning.Job.CreateRequest.IntegrationsWandb.html#t:t/0"},{"type":"module","title":"OpenAi.FineTuning.Job.Error","doc":"Provides struct and type for a FineTuning.Job.Error","ref":"OpenAi.FineTuning.Job.Error.html"},{"type":"type","title":"OpenAi.FineTuning.Job.Error.t/0","doc":"","ref":"OpenAi.FineTuning.Job.Error.html#t:t/0"},{"type":"module","title":"OpenAi.FineTuning.Job.Event","doc":"Provides struct and type for a FineTuning.Job.Event","ref":"OpenAi.FineTuning.Job.Event.html"},{"type":"type","title":"OpenAi.FineTuning.Job.Event.t/0","doc":"","ref":"OpenAi.FineTuning.Job.Event.html#t:t/0"},{"type":"module","title":"OpenAi.FineTuning.Job.Event.ListResponse","doc":"Provides struct and type for a FineTuning.Job.Event.ListResponse","ref":"OpenAi.FineTuning.Job.Event.ListResponse.html"},{"type":"type","title":"OpenAi.FineTuning.Job.Event.ListResponse.t/0","doc":"","ref":"OpenAi.FineTuning.Job.Event.ListResponse.html#t:t/0"},{"type":"module","title":"OpenAi.FineTuning.Job.Hyperparameters","doc":"Provides struct and type for a FineTuning.Job.Hyperparameters","ref":"OpenAi.FineTuning.Job.Hyperparameters.html"},{"type":"type","title":"OpenAi.FineTuning.Job.Hyperparameters.t/0","doc":"","ref":"OpenAi.FineTuning.Job.Hyperparameters.html#t:t/0"},{"type":"module","title":"OpenAi.FineTuning.Job.ListResponse","doc":"Provides struct and type for a FineTuning.Job.ListResponse","ref":"OpenAi.FineTuning.Job.ListResponse.html"},{"type":"type","title":"OpenAi.FineTuning.Job.ListResponse.t/0","doc":"","ref":"OpenAi.FineTuning.Job.ListResponse.html#t:t/0"},{"type":"module","title":"OpenAi.Function","doc":"Provides struct and type for a Function","ref":"OpenAi.Function.html"},{"type":"type","title":"OpenAi.Function.t/0","doc":"","ref":"OpenAi.Function.html#t:t/0"},{"type":"module","title":"OpenAi.Image","doc":"Provides struct and type for a Image","ref":"OpenAi.Image.html"},{"type":"type","title":"OpenAi.Image.t/0","doc":"","ref":"OpenAi.Image.html#t:t/0"},{"type":"module","title":"OpenAi.Image.CreateRequest","doc":"Provides struct and type for a Image.CreateRequest","ref":"OpenAi.Image.CreateRequest.html"},{"type":"type","title":"OpenAi.Image.CreateRequest.t/0","doc":"","ref":"OpenAi.Image.CreateRequest.html#t:t/0"},{"type":"module","title":"OpenAi.Image.EditCreateRequest","doc":"Provides struct and type for a Image.EditCreateRequest","ref":"OpenAi.Image.EditCreateRequest.html"},{"type":"type","title":"OpenAi.Image.EditCreateRequest.t/0","doc":"","ref":"OpenAi.Image.EditCreateRequest.html#t:t/0"},{"type":"module","title":"OpenAi.Image.Response","doc":"Provides struct and type for a Image.Response","ref":"OpenAi.Image.Response.html"},{"type":"type","title":"OpenAi.Image.Response.t/0","doc":"","ref":"OpenAi.Image.Response.html#t:t/0"},{"type":"module","title":"OpenAi.Image.VariationCreateRequest","doc":"Provides struct and type for a Image.VariationCreateRequest","ref":"OpenAi.Image.VariationCreateRequest.html"},{"type":"type","title":"OpenAi.Image.VariationCreateRequest.t/0","doc":"","ref":"OpenAi.Image.VariationCreateRequest.html#t:t/0"},{"type":"module","title":"OpenAi.Message","doc":"Provides struct and type for a Message","ref":"OpenAi.Message.html"},{"type":"type","title":"OpenAi.Message.t/0","doc":"","ref":"OpenAi.Message.html#t:t/0"},{"type":"module","title":"OpenAi.Message.Attachment","doc":"Provides struct and type for a Message.Attachment","ref":"OpenAi.Message.Attachment.html"},{"type":"type","title":"OpenAi.Message.Attachment.t/0","doc":"","ref":"OpenAi.Message.Attachment.html#t:t/0"},{"type":"module","title":"OpenAi.Message.Content.Image.File","doc":"Provides struct and type for a Message.Content.Image.File","ref":"OpenAi.Message.Content.Image.File.html"},{"type":"type","title":"OpenAi.Message.Content.Image.File.t/0","doc":"","ref":"OpenAi.Message.Content.Image.File.html#t:t/0"},{"type":"module","title":"OpenAi.Message.Content.Image.FileImageFile","doc":"Provides struct and type for a Message.Content.Image.FileImageFile","ref":"OpenAi.Message.Content.Image.FileImageFile.html"},{"type":"type","title":"OpenAi.Message.Content.Image.FileImageFile.t/0","doc":"","ref":"OpenAi.Message.Content.Image.FileImageFile.html#t:t/0"},{"type":"module","title":"OpenAi.Message.Content.Image.Url","doc":"Provides struct and type for a Message.Content.Image.Url","ref":"OpenAi.Message.Content.Image.Url.html"},{"type":"type","title":"OpenAi.Message.Content.Image.Url.t/0","doc":"","ref":"OpenAi.Message.Content.Image.Url.html#t:t/0"},{"type":"module","title":"OpenAi.Message.Content.Image.UrlImageUrl","doc":"Provides struct and type for a Message.Content.Image.UrlImageUrl","ref":"OpenAi.Message.Content.Image.UrlImageUrl.html"},{"type":"type","title":"OpenAi.Message.Content.Image.UrlImageUrl.t/0","doc":"","ref":"OpenAi.Message.Content.Image.UrlImageUrl.html#t:t/0"},{"type":"module","title":"OpenAi.Message.Content.Text","doc":"Provides struct and type for a Message.Content.Text","ref":"OpenAi.Message.Content.Text.html"},{"type":"type","title":"OpenAi.Message.Content.Text.t/0","doc":"","ref":"OpenAi.Message.Content.Text.html#t:t/0"},{"type":"module","title":"OpenAi.Message.Content.Text.AnnotationsFileCitation","doc":"Provides struct and type for a Message.Content.Text.AnnotationsFileCitation","ref":"OpenAi.Message.Content.Text.AnnotationsFileCitation.html"},{"type":"type","title":"OpenAi.Message.Content.Text.AnnotationsFileCitation.t/0","doc":"","ref":"OpenAi.Message.Content.Text.AnnotationsFileCitation.html#t:t/0"},{"type":"module","title":"OpenAi.Message.Content.Text.AnnotationsFileCitationFileCitation","doc":"Provides struct and type for a Message.Content.Text.AnnotationsFileCitationFileCitation","ref":"OpenAi.Message.Content.Text.AnnotationsFileCitationFileCitation.html"},{"type":"type","title":"OpenAi.Message.Content.Text.AnnotationsFileCitationFileCitation.t/0","doc":"","ref":"OpenAi.Message.Content.Text.AnnotationsFileCitationFileCitation.html#t:t/0"},{"type":"module","title":"OpenAi.Message.Content.Text.AnnotationsFilePath","doc":"Provides struct and type for a Message.Content.Text.AnnotationsFilePath","ref":"OpenAi.Message.Content.Text.AnnotationsFilePath.html"},{"type":"type","title":"OpenAi.Message.Content.Text.AnnotationsFilePath.t/0","doc":"","ref":"OpenAi.Message.Content.Text.AnnotationsFilePath.html#t:t/0"},{"type":"module","title":"OpenAi.Message.Content.Text.AnnotationsFilePathFilePath","doc":"Provides struct and type for a Message.Content.Text.AnnotationsFilePathFilePath","ref":"OpenAi.Message.Content.Text.AnnotationsFilePathFilePath.html"},{"type":"type","title":"OpenAi.Message.Content.Text.AnnotationsFilePathFilePath.t/0","doc":"","ref":"OpenAi.Message.Content.Text.AnnotationsFilePathFilePath.html#t:t/0"},{"type":"module","title":"OpenAi.Message.Content.Text.Text","doc":"Provides struct and type for a Message.Content.Text.Text","ref":"OpenAi.Message.Content.Text.Text.html"},{"type":"type","title":"OpenAi.Message.Content.Text.Text.t/0","doc":"","ref":"OpenAi.Message.Content.Text.Text.html#t:t/0"},{"type":"module","title":"OpenAi.Message.CreateRequest","doc":"Provides struct and type for a Message.CreateRequest","ref":"OpenAi.Message.CreateRequest.html"},{"type":"type","title":"OpenAi.Message.CreateRequest.t/0","doc":"","ref":"OpenAi.Message.CreateRequest.html#t:t/0"},{"type":"module","title":"OpenAi.Message.CreateRequest.Attachment","doc":"Provides struct and type for a Message.CreateRequest.Attachment","ref":"OpenAi.Message.CreateRequest.Attachment.html"},{"type":"type","title":"OpenAi.Message.CreateRequest.Attachment.t/0","doc":"","ref":"OpenAi.Message.CreateRequest.Attachment.html#t:t/0"},{"type":"module","title":"OpenAi.Message.DeleteResponse","doc":"Provides struct and type for a Message.DeleteResponse","ref":"OpenAi.Message.DeleteResponse.html"},{"type":"type","title":"OpenAi.Message.DeleteResponse.t/0","doc":"","ref":"OpenAi.Message.DeleteResponse.html#t:t/0"},{"type":"module","title":"OpenAi.Message.IncompleteDetails","doc":"Provides struct and type for a Message.IncompleteDetails","ref":"OpenAi.Message.IncompleteDetails.html"},{"type":"type","title":"OpenAi.Message.IncompleteDetails.t/0","doc":"","ref":"OpenAi.Message.IncompleteDetails.html#t:t/0"},{"type":"module","title":"OpenAi.Message.ListResponse","doc":"Provides struct and type for a Message.ListResponse","ref":"OpenAi.Message.ListResponse.html"},{"type":"type","title":"OpenAi.Message.ListResponse.t/0","doc":"","ref":"OpenAi.Message.ListResponse.html#t:t/0"},{"type":"module","title":"OpenAi.Message.UpdateRequest","doc":"Provides struct and type for a Message.UpdateRequest","ref":"OpenAi.Message.UpdateRequest.html"},{"type":"type","title":"OpenAi.Message.UpdateRequest.t/0","doc":"","ref":"OpenAi.Message.UpdateRequest.html#t:t/0"},{"type":"module","title":"OpenAi.Model","doc":"Provides struct and type for a Model","ref":"OpenAi.Model.html"},{"type":"type","title":"OpenAi.Model.t/0","doc":"","ref":"OpenAi.Model.html#t:t/0"},{"type":"module","title":"OpenAi.Model.DeleteResponse","doc":"Provides struct and type for a Model.DeleteResponse","ref":"OpenAi.Model.DeleteResponse.html"},{"type":"type","title":"OpenAi.Model.DeleteResponse.t/0","doc":"","ref":"OpenAi.Model.DeleteResponse.html#t:t/0"},{"type":"module","title":"OpenAi.Model.ListResponse","doc":"Provides struct and type for a Model.ListResponse","ref":"OpenAi.Model.ListResponse.html"},{"type":"type","title":"OpenAi.Model.ListResponse.t/0","doc":"","ref":"OpenAi.Model.ListResponse.html#t:t/0"},{"type":"module","title":"OpenAi.Moderation.CreateRequest","doc":"Provides struct and type for a Moderation.CreateRequest","ref":"OpenAi.Moderation.CreateRequest.html"},{"type":"type","title":"OpenAi.Moderation.CreateRequest.t/0","doc":"","ref":"OpenAi.Moderation.CreateRequest.html#t:t/0"},{"type":"module","title":"OpenAi.Moderation.CreateResponse","doc":"Provides struct and type for a Moderation.CreateResponse","ref":"OpenAi.Moderation.CreateResponse.html"},{"type":"type","title":"OpenAi.Moderation.CreateResponse.t/0","doc":"","ref":"OpenAi.Moderation.CreateResponse.html#t:t/0"},{"type":"module","title":"OpenAi.Moderation.CreateResponse.Result","doc":"Provides struct and type for a Moderation.CreateResponse.Result","ref":"OpenAi.Moderation.CreateResponse.Result.html"},{"type":"type","title":"OpenAi.Moderation.CreateResponse.Result.t/0","doc":"","ref":"OpenAi.Moderation.CreateResponse.Result.html#t:t/0"},{"type":"module","title":"OpenAi.Moderation.CreateResponse.Result.Categories","doc":"Provides struct and type for a Moderation.CreateResponse.Result.Categories","ref":"OpenAi.Moderation.CreateResponse.Result.Categories.html"},{"type":"type","title":"OpenAi.Moderation.CreateResponse.Result.Categories.t/0","doc":"","ref":"OpenAi.Moderation.CreateResponse.Result.Categories.html#t:t/0"},{"type":"module","title":"OpenAi.Moderation.CreateResponse.Result.CategoryScores","doc":"Provides struct and type for a Moderation.CreateResponse.Result.CategoryScores","ref":"OpenAi.Moderation.CreateResponse.Result.CategoryScores.html"},{"type":"type","title":"OpenAi.Moderation.CreateResponse.Result.CategoryScores.t/0","doc":"","ref":"OpenAi.Moderation.CreateResponse.Result.CategoryScores.html#t:t/0"},{"type":"module","title":"OpenAi.Run","doc":"Provides struct and type for a Run","ref":"OpenAi.Run.html"},{"type":"type","title":"OpenAi.Run.t/0","doc":"","ref":"OpenAi.Run.html#t:t/0"},{"type":"module","title":"OpenAi.Run.CompletionUsage","doc":"Provides struct and type for a Run.CompletionUsage","ref":"OpenAi.Run.CompletionUsage.html"},{"type":"type","title":"OpenAi.Run.CompletionUsage.t/0","doc":"","ref":"OpenAi.Run.CompletionUsage.html#t:t/0"},{"type":"module","title":"OpenAi.Run.CreateRequest","doc":"Provides struct and type for a Run.CreateRequest","ref":"OpenAi.Run.CreateRequest.html"},{"type":"type","title":"OpenAi.Run.CreateRequest.t/0","doc":"","ref":"OpenAi.Run.CreateRequest.html#t:t/0"},{"type":"module","title":"OpenAi.Run.IncompleteDetails","doc":"Provides struct and type for a Run.IncompleteDetails","ref":"OpenAi.Run.IncompleteDetails.html"},{"type":"type","title":"OpenAi.Run.IncompleteDetails.t/0","doc":"","ref":"OpenAi.Run.IncompleteDetails.html#t:t/0"},{"type":"module","title":"OpenAi.Run.LastError","doc":"Provides struct and type for a Run.LastError","ref":"OpenAi.Run.LastError.html"},{"type":"type","title":"OpenAi.Run.LastError.t/0","doc":"","ref":"OpenAi.Run.LastError.html#t:t/0"},{"type":"module","title":"OpenAi.Run.ListResponse","doc":"Provides struct and type for a Run.ListResponse","ref":"OpenAi.Run.ListResponse.html"},{"type":"type","title":"OpenAi.Run.ListResponse.t/0","doc":"","ref":"OpenAi.Run.ListResponse.html#t:t/0"},{"type":"module","title":"OpenAi.Run.RequiredAction","doc":"Provides struct and type for a Run.RequiredAction","ref":"OpenAi.Run.RequiredAction.html"},{"type":"type","title":"OpenAi.Run.RequiredAction.t/0","doc":"","ref":"OpenAi.Run.RequiredAction.html#t:t/0"},{"type":"module","title":"OpenAi.Run.RequiredAction.SubmitToolOutputs","doc":"Provides struct and type for a Run.RequiredAction.SubmitToolOutputs","ref":"OpenAi.Run.RequiredAction.SubmitToolOutputs.html"},{"type":"type","title":"OpenAi.Run.RequiredAction.SubmitToolOutputs.t/0","doc":"","ref":"OpenAi.Run.RequiredAction.SubmitToolOutputs.html#t:t/0"},{"type":"module","title":"OpenAi.Run.Step","doc":"Provides struct and type for a Run.Step","ref":"OpenAi.Run.Step.html"},{"type":"type","title":"OpenAi.Run.Step.t/0","doc":"","ref":"OpenAi.Run.Step.html#t:t/0"},{"type":"module","title":"OpenAi.Run.Step.CompletionUsage","doc":"Provides struct and type for a Run.Step.CompletionUsage","ref":"OpenAi.Run.Step.CompletionUsage.html"},{"type":"type","title":"OpenAi.Run.Step.CompletionUsage.t/0","doc":"","ref":"OpenAi.Run.Step.CompletionUsage.html#t:t/0"},{"type":"module","title":"OpenAi.Run.Step.DetailsMessageCreation","doc":"Provides struct and type for a Run.Step.DetailsMessageCreation","ref":"OpenAi.Run.Step.DetailsMessageCreation.html"},{"type":"type","title":"OpenAi.Run.Step.DetailsMessageCreation.t/0","doc":"","ref":"OpenAi.Run.Step.DetailsMessageCreation.html#t:t/0"},{"type":"module","title":"OpenAi.Run.Step.DetailsMessageCreationMessageCreation","doc":"Provides struct and type for a Run.Step.DetailsMessageCreationMessageCreation","ref":"OpenAi.Run.Step.DetailsMessageCreationMessageCreation.html"},{"type":"type","title":"OpenAi.Run.Step.DetailsMessageCreationMessageCreation.t/0","doc":"","ref":"OpenAi.Run.Step.DetailsMessageCreationMessageCreation.html#t:t/0"},{"type":"module","title":"OpenAi.Run.Step.DetailsToolCalls","doc":"Provides struct and type for a Run.Step.DetailsToolCalls","ref":"OpenAi.Run.Step.DetailsToolCalls.html"},{"type":"type","title":"OpenAi.Run.Step.DetailsToolCalls.t/0","doc":"","ref":"OpenAi.Run.Step.DetailsToolCalls.html#t:t/0"},{"type":"module","title":"OpenAi.Run.Step.DetailsToolCallsCode","doc":"Provides struct and type for a Run.Step.DetailsToolCallsCode","ref":"OpenAi.Run.Step.DetailsToolCallsCode.html"},{"type":"type","title":"OpenAi.Run.Step.DetailsToolCallsCode.t/0","doc":"","ref":"OpenAi.Run.Step.DetailsToolCallsCode.html#t:t/0"},{"type":"module","title":"OpenAi.Run.Step.DetailsToolCallsCodeCodeInterpreter","doc":"Provides struct and type for a Run.Step.DetailsToolCallsCodeCodeInterpreter","ref":"OpenAi.Run.Step.DetailsToolCallsCodeCodeInterpreter.html"},{"type":"type","title":"OpenAi.Run.Step.DetailsToolCallsCodeCodeInterpreter.t/0","doc":"","ref":"OpenAi.Run.Step.DetailsToolCallsCodeCodeInterpreter.html#t:t/0"},{"type":"module","title":"OpenAi.Run.Step.DetailsToolCallsCodeOutputImage","doc":"Provides struct and type for a Run.Step.DetailsToolCallsCodeOutputImage","ref":"OpenAi.Run.Step.DetailsToolCallsCodeOutputImage.html"},{"type":"type","title":"OpenAi.Run.Step.DetailsToolCallsCodeOutputImage.t/0","doc":"","ref":"OpenAi.Run.Step.DetailsToolCallsCodeOutputImage.html#t:t/0"},{"type":"module","title":"OpenAi.Run.Step.DetailsToolCallsCodeOutputImageImage","doc":"Provides struct and type for a Run.Step.DetailsToolCallsCodeOutputImageImage","ref":"OpenAi.Run.Step.DetailsToolCallsCodeOutputImageImage.html"},{"type":"type","title":"OpenAi.Run.Step.DetailsToolCallsCodeOutputImageImage.t/0","doc":"","ref":"OpenAi.Run.Step.DetailsToolCallsCodeOutputImageImage.html#t:t/0"},{"type":"module","title":"OpenAi.Run.Step.DetailsToolCallsCodeOutputLogs","doc":"Provides struct and type for a Run.Step.DetailsToolCallsCodeOutputLogs","ref":"OpenAi.Run.Step.DetailsToolCallsCodeOutputLogs.html"},{"type":"type","title":"OpenAi.Run.Step.DetailsToolCallsCodeOutputLogs.t/0","doc":"","ref":"OpenAi.Run.Step.DetailsToolCallsCodeOutputLogs.html#t:t/0"},{"type":"module","title":"OpenAi.Run.Step.DetailsToolCallsFileSearch","doc":"Provides struct and type for a Run.Step.DetailsToolCallsFileSearch","ref":"OpenAi.Run.Step.DetailsToolCallsFileSearch.html"},{"type":"type","title":"OpenAi.Run.Step.DetailsToolCallsFileSearch.t/0","doc":"","ref":"OpenAi.Run.Step.DetailsToolCallsFileSearch.html#t:t/0"},{"type":"module","title":"OpenAi.Run.Step.DetailsToolCallsFunction","doc":"Provides struct and type for a Run.Step.DetailsToolCallsFunction","ref":"OpenAi.Run.Step.DetailsToolCallsFunction.html"},{"type":"type","title":"OpenAi.Run.Step.DetailsToolCallsFunction.t/0","doc":"","ref":"OpenAi.Run.Step.DetailsToolCallsFunction.html#t:t/0"},{"type":"module","title":"OpenAi.Run.Step.DetailsToolCallsFunctionFunction","doc":"Provides struct and type for a Run.Step.DetailsToolCallsFunctionFunction","ref":"OpenAi.Run.Step.DetailsToolCallsFunctionFunction.html"},{"type":"type","title":"OpenAi.Run.Step.DetailsToolCallsFunctionFunction.t/0","doc":"","ref":"OpenAi.Run.Step.DetailsToolCallsFunctionFunction.html#t:t/0"},{"type":"module","title":"OpenAi.Run.Step.LastError","doc":"Provides struct and type for a Run.Step.LastError","ref":"OpenAi.Run.Step.LastError.html"},{"type":"type","title":"OpenAi.Run.Step.LastError.t/0","doc":"","ref":"OpenAi.Run.Step.LastError.html#t:t/0"},{"type":"module","title":"OpenAi.Run.Step.ListResponse","doc":"Provides struct and type for a Run.Step.ListResponse","ref":"OpenAi.Run.Step.ListResponse.html"},{"type":"type","title":"OpenAi.Run.Step.ListResponse.t/0","doc":"","ref":"OpenAi.Run.Step.ListResponse.html#t:t/0"},{"type":"module","title":"OpenAi.Run.ToolCall","doc":"Provides struct and type for a Run.ToolCall","ref":"OpenAi.Run.ToolCall.html"},{"type":"type","title":"OpenAi.Run.ToolCall.t/0","doc":"","ref":"OpenAi.Run.ToolCall.html#t:t/0"},{"type":"module","title":"OpenAi.Run.ToolCall.Function","doc":"Provides struct and type for a Run.ToolCall.Function","ref":"OpenAi.Run.ToolCall.Function.html"},{"type":"type","title":"OpenAi.Run.ToolCall.Function.t/0","doc":"","ref":"OpenAi.Run.ToolCall.Function.html#t:t/0"},{"type":"module","title":"OpenAi.Run.UpdateRequest","doc":"Provides struct and type for a Run.UpdateRequest","ref":"OpenAi.Run.UpdateRequest.html"},{"type":"type","title":"OpenAi.Run.UpdateRequest.t/0","doc":"","ref":"OpenAi.Run.UpdateRequest.html#t:t/0"},{"type":"module","title":"OpenAi.Thread","doc":"Provides struct and type for a Thread","ref":"OpenAi.Thread.html"},{"type":"type","title":"OpenAi.Thread.t/0","doc":"","ref":"OpenAi.Thread.html#t:t/0"},{"type":"module","title":"OpenAi.Thread.CreateAndRunRequest","doc":"Provides struct and type for a Thread.CreateAndRunRequest","ref":"OpenAi.Thread.CreateAndRunRequest.html"},{"type":"type","title":"OpenAi.Thread.CreateAndRunRequest.t/0","doc":"","ref":"OpenAi.Thread.CreateAndRunRequest.html#t:t/0"},{"type":"module","title":"OpenAi.Thread.CreateAndRunRequest.ToolResources","doc":"Provides struct and type for a Thread.CreateAndRunRequest.ToolResources","ref":"OpenAi.Thread.CreateAndRunRequest.ToolResources.html"},{"type":"type","title":"OpenAi.Thread.CreateAndRunRequest.ToolResources.t/0","doc":"","ref":"OpenAi.Thread.CreateAndRunRequest.ToolResources.html#t:t/0"},{"type":"module","title":"OpenAi.Thread.CreateAndRunRequest.ToolResourcesCodeInterpreter","doc":"Provides struct and type for a Thread.CreateAndRunRequest.ToolResourcesCodeInterpreter","ref":"OpenAi.Thread.CreateAndRunRequest.ToolResourcesCodeInterpreter.html"},{"type":"type","title":"OpenAi.Thread.CreateAndRunRequest.ToolResourcesCodeInterpreter.t/0","doc":"","ref":"OpenAi.Thread.CreateAndRunRequest.ToolResourcesCodeInterpreter.html#t:t/0"},{"type":"module","title":"OpenAi.Thread.CreateAndRunRequest.ToolResourcesFileSearch","doc":"Provides struct and type for a Thread.CreateAndRunRequest.ToolResourcesFileSearch","ref":"OpenAi.Thread.CreateAndRunRequest.ToolResourcesFileSearch.html"},{"type":"type","title":"OpenAi.Thread.CreateAndRunRequest.ToolResourcesFileSearch.t/0","doc":"","ref":"OpenAi.Thread.CreateAndRunRequest.ToolResourcesFileSearch.html#t:t/0"},{"type":"module","title":"OpenAi.Thread.CreateRequest","doc":"Provides struct and type for a Thread.CreateRequest","ref":"OpenAi.Thread.CreateRequest.html"},{"type":"type","title":"OpenAi.Thread.CreateRequest.t/0","doc":"","ref":"OpenAi.Thread.CreateRequest.html#t:t/0"},{"type":"module","title":"OpenAi.Thread.CreateRequest.ToolResources","doc":"Provides struct and type for a Thread.CreateRequest.ToolResources","ref":"OpenAi.Thread.CreateRequest.ToolResources.html"},{"type":"type","title":"OpenAi.Thread.CreateRequest.ToolResources.t/0","doc":"","ref":"OpenAi.Thread.CreateRequest.ToolResources.html#t:t/0"},{"type":"module","title":"OpenAi.Thread.CreateRequest.ToolResourcesCodeInterpreter","doc":"Provides struct and type for a Thread.CreateRequest.ToolResourcesCodeInterpreter","ref":"OpenAi.Thread.CreateRequest.ToolResourcesCodeInterpreter.html"},{"type":"type","title":"OpenAi.Thread.CreateRequest.ToolResourcesCodeInterpreter.t/0","doc":"","ref":"OpenAi.Thread.CreateRequest.ToolResourcesCodeInterpreter.html#t:t/0"},{"type":"module","title":"OpenAi.Thread.DeleteResponse","doc":"Provides struct and type for a Thread.DeleteResponse","ref":"OpenAi.Thread.DeleteResponse.html"},{"type":"type","title":"OpenAi.Thread.DeleteResponse.t/0","doc":"","ref":"OpenAi.Thread.DeleteResponse.html#t:t/0"},{"type":"module","title":"OpenAi.Thread.ToolResources","doc":"Provides struct and type for a Thread.ToolResources","ref":"OpenAi.Thread.ToolResources.html"},{"type":"type","title":"OpenAi.Thread.ToolResources.t/0","doc":"","ref":"OpenAi.Thread.ToolResources.html#t:t/0"},{"type":"module","title":"OpenAi.Thread.ToolResources.CodeInterpreter","doc":"Provides struct and type for a Thread.ToolResources.CodeInterpreter","ref":"OpenAi.Thread.ToolResources.CodeInterpreter.html"},{"type":"type","title":"OpenAi.Thread.ToolResources.CodeInterpreter.t/0","doc":"","ref":"OpenAi.Thread.ToolResources.CodeInterpreter.html#t:t/0"},{"type":"module","title":"OpenAi.Thread.ToolResources.FileSearch","doc":"Provides struct and type for a Thread.ToolResources.FileSearch","ref":"OpenAi.Thread.ToolResources.FileSearch.html"},{"type":"type","title":"OpenAi.Thread.ToolResources.FileSearch.t/0","doc":"","ref":"OpenAi.Thread.ToolResources.FileSearch.html#t:t/0"},{"type":"module","title":"OpenAi.Thread.UpdateRequest","doc":"Provides struct and type for a Thread.UpdateRequest","ref":"OpenAi.Thread.UpdateRequest.html"},{"type":"type","title":"OpenAi.Thread.UpdateRequest.t/0","doc":"","ref":"OpenAi.Thread.UpdateRequest.html#t:t/0"},{"type":"module","title":"OpenAi.Thread.UpdateRequest.ToolResources","doc":"Provides struct and type for a Thread.UpdateRequest.ToolResources","ref":"OpenAi.Thread.UpdateRequest.ToolResources.html"},{"type":"type","title":"OpenAi.Thread.UpdateRequest.ToolResources.t/0","doc":"","ref":"OpenAi.Thread.UpdateRequest.ToolResources.html#t:t/0"},{"type":"module","title":"OpenAi.Thread.UpdateRequest.ToolResourcesCodeInterpreter","doc":"Provides struct and type for a Thread.UpdateRequest.ToolResourcesCodeInterpreter","ref":"OpenAi.Thread.UpdateRequest.ToolResourcesCodeInterpreter.html"},{"type":"type","title":"OpenAi.Thread.UpdateRequest.ToolResourcesCodeInterpreter.t/0","doc":"","ref":"OpenAi.Thread.UpdateRequest.ToolResourcesCodeInterpreter.html#t:t/0"},{"type":"module","title":"OpenAi.Thread.UpdateRequest.ToolResourcesFileSearch","doc":"Provides struct and type for a Thread.UpdateRequest.ToolResourcesFileSearch","ref":"OpenAi.Thread.UpdateRequest.ToolResourcesFileSearch.html"},{"type":"type","title":"OpenAi.Thread.UpdateRequest.ToolResourcesFileSearch.t/0","doc":"","ref":"OpenAi.Thread.UpdateRequest.ToolResourcesFileSearch.html#t:t/0"},{"type":"module","title":"OpenAi.Truncation","doc":"Provides struct and type for a Truncation","ref":"OpenAi.Truncation.html"},{"type":"type","title":"OpenAi.Truncation.t/0","doc":"","ref":"OpenAi.Truncation.html#t:t/0"},{"type":"module","title":"OpenAi.VectorStore","doc":"Provides struct and type for a VectorStore","ref":"OpenAi.VectorStore.html"},{"type":"type","title":"OpenAi.VectorStore.t/0","doc":"","ref":"OpenAi.VectorStore.html#t:t/0"},{"type":"module","title":"OpenAi.VectorStore.CreateRequest","doc":"Provides struct and type for a VectorStore.CreateRequest","ref":"OpenAi.VectorStore.CreateRequest.html"},{"type":"type","title":"OpenAi.VectorStore.CreateRequest.t/0","doc":"","ref":"OpenAi.VectorStore.CreateRequest.html#t:t/0"},{"type":"module","title":"OpenAi.VectorStore.DeleteResponse","doc":"Provides struct and type for a VectorStore.DeleteResponse","ref":"OpenAi.VectorStore.DeleteResponse.html"},{"type":"type","title":"OpenAi.VectorStore.DeleteResponse.t/0","doc":"","ref":"OpenAi.VectorStore.DeleteResponse.html#t:t/0"},{"type":"module","title":"OpenAi.VectorStore.ExpirationAfter","doc":"Provides struct and type for a VectorStore.ExpirationAfter","ref":"OpenAi.VectorStore.ExpirationAfter.html"},{"type":"type","title":"OpenAi.VectorStore.ExpirationAfter.t/0","doc":"","ref":"OpenAi.VectorStore.ExpirationAfter.html#t:t/0"},{"type":"module","title":"OpenAi.VectorStore.File","doc":"Provides struct and type for a VectorStore.File","ref":"OpenAi.VectorStore.File.html"},{"type":"type","title":"OpenAi.VectorStore.File.t/0","doc":"","ref":"OpenAi.VectorStore.File.html#t:t/0"},{"type":"module","title":"OpenAi.VectorStore.File.Batch","doc":"Provides struct and type for a VectorStore.File.Batch","ref":"OpenAi.VectorStore.File.Batch.html"},{"type":"type","title":"OpenAi.VectorStore.File.Batch.t/0","doc":"","ref":"OpenAi.VectorStore.File.Batch.html#t:t/0"},{"type":"module","title":"OpenAi.VectorStore.File.Batch.CreateRequest","doc":"Provides struct and type for a VectorStore.File.Batch.CreateRequest","ref":"OpenAi.VectorStore.File.Batch.CreateRequest.html"},{"type":"type","title":"OpenAi.VectorStore.File.Batch.CreateRequest.t/0","doc":"","ref":"OpenAi.VectorStore.File.Batch.CreateRequest.html#t:t/0"},{"type":"module","title":"OpenAi.VectorStore.File.Batch.FileCounts","doc":"Provides struct and type for a VectorStore.File.Batch.FileCounts","ref":"OpenAi.VectorStore.File.Batch.FileCounts.html"},{"type":"type","title":"OpenAi.VectorStore.File.Batch.FileCounts.t/0","doc":"","ref":"OpenAi.VectorStore.File.Batch.FileCounts.html#t:t/0"},{"type":"module","title":"OpenAi.VectorStore.File.ChunkingStrategy.Auto.RequestParam","doc":"Provides struct and type for a VectorStore.File.ChunkingStrategy.Auto.RequestParam","ref":"OpenAi.VectorStore.File.ChunkingStrategy.Auto.RequestParam.html"},{"type":"type","title":"OpenAi.VectorStore.File.ChunkingStrategy.Auto.RequestParam.t/0","doc":"","ref":"OpenAi.VectorStore.File.ChunkingStrategy.Auto.RequestParam.html#t:t/0"},{"type":"module","title":"OpenAi.VectorStore.File.ChunkingStrategy.Other.ResponseParam","doc":"Provides struct and type for a VectorStore.File.ChunkingStrategy.Other.ResponseParam","ref":"OpenAi.VectorStore.File.ChunkingStrategy.Other.ResponseParam.html"},{"type":"type","title":"OpenAi.VectorStore.File.ChunkingStrategy.Other.ResponseParam.t/0","doc":"","ref":"OpenAi.VectorStore.File.ChunkingStrategy.Other.ResponseParam.html#t:t/0"},{"type":"module","title":"OpenAi.VectorStore.File.ChunkingStrategy.Static","doc":"Provides struct and type for a VectorStore.File.ChunkingStrategy.Static","ref":"OpenAi.VectorStore.File.ChunkingStrategy.Static.html"},{"type":"type","title":"OpenAi.VectorStore.File.ChunkingStrategy.Static.t/0","doc":"","ref":"OpenAi.VectorStore.File.ChunkingStrategy.Static.html#t:t/0"},{"type":"module","title":"OpenAi.VectorStore.File.ChunkingStrategy.Static.RequestParam","doc":"Provides struct and type for a VectorStore.File.ChunkingStrategy.Static.RequestParam","ref":"OpenAi.VectorStore.File.ChunkingStrategy.Static.RequestParam.html"},{"type":"type","title":"OpenAi.VectorStore.File.ChunkingStrategy.Static.RequestParam.t/0","doc":"","ref":"OpenAi.VectorStore.File.ChunkingStrategy.Static.RequestParam.html#t:t/0"},{"type":"module","title":"OpenAi.VectorStore.File.ChunkingStrategy.Static.ResponseParam","doc":"Provides struct and type for a VectorStore.File.ChunkingStrategy.Static.ResponseParam","ref":"OpenAi.VectorStore.File.ChunkingStrategy.Static.ResponseParam.html"},{"type":"type","title":"OpenAi.VectorStore.File.ChunkingStrategy.Static.ResponseParam.t/0","doc":"","ref":"OpenAi.VectorStore.File.ChunkingStrategy.Static.ResponseParam.html#t:t/0"},{"type":"module","title":"OpenAi.VectorStore.File.Counts","doc":"Provides struct and type for a VectorStore.File.Counts","ref":"OpenAi.VectorStore.File.Counts.html"},{"type":"type","title":"OpenAi.VectorStore.File.Counts.t/0","doc":"","ref":"OpenAi.VectorStore.File.Counts.html#t:t/0"},{"type":"module","title":"OpenAi.VectorStore.File.CreateRequest","doc":"Provides struct and type for a VectorStore.File.CreateRequest","ref":"OpenAi.VectorStore.File.CreateRequest.html"},{"type":"type","title":"OpenAi.VectorStore.File.CreateRequest.t/0","doc":"","ref":"OpenAi.VectorStore.File.CreateRequest.html#t:t/0"},{"type":"module","title":"OpenAi.VectorStore.File.DeleteResponse","doc":"Provides struct and type for a VectorStore.File.DeleteResponse","ref":"OpenAi.VectorStore.File.DeleteResponse.html"},{"type":"type","title":"OpenAi.VectorStore.File.DeleteResponse.t/0","doc":"","ref":"OpenAi.VectorStore.File.DeleteResponse.html#t:t/0"},{"type":"module","title":"OpenAi.VectorStore.File.LastError","doc":"Provides struct and type for a VectorStore.File.LastError","ref":"OpenAi.VectorStore.File.LastError.html"},{"type":"type","title":"OpenAi.VectorStore.File.LastError.t/0","doc":"","ref":"OpenAi.VectorStore.File.LastError.html#t:t/0"},{"type":"module","title":"OpenAi.VectorStore.File.ListResponse","doc":"Provides struct and type for a VectorStore.File.ListResponse","ref":"OpenAi.VectorStore.File.ListResponse.html"},{"type":"type","title":"OpenAi.VectorStore.File.ListResponse.t/0","doc":"","ref":"OpenAi.VectorStore.File.ListResponse.html#t:t/0"},{"type":"module","title":"OpenAi.VectorStore.ListResponse","doc":"Provides struct and type for a VectorStore.ListResponse","ref":"OpenAi.VectorStore.ListResponse.html"},{"type":"type","title":"OpenAi.VectorStore.ListResponse.t/0","doc":"","ref":"OpenAi.VectorStore.ListResponse.html#t:t/0"},{"type":"module","title":"OpenAi.VectorStore.UpdateRequest","doc":"Provides struct and type for a VectorStore.UpdateRequest","ref":"OpenAi.VectorStore.UpdateRequest.html"},{"type":"type","title":"OpenAi.VectorStore.UpdateRequest.t/0","doc":"","ref":"OpenAi.VectorStore.UpdateRequest.html#t:t/0"},{"type":"extras","title":"Overview","doc":"# OpenAi REST API Client for Elixir\n\nThis library uses an [OpenAPI Code Generator](https://github.com/aj-foster/open-api-generator) that has the flexibility to wrangle the generated code into an ergonomic client.","ref":"readme.html"},{"type":"extras","title":"Installation - Overview","doc":"The package can be installed by adding `oapi_open_ai` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:oapi_open_ai, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Configuration - Overview","doc":"You can configure openai in your mix config.exs (default $project_root/config/config.exs). If you're using Phoenix add the configuration in your config/dev.exs|test.exs|prod.exs files. An example config is:\n\n```elixir\nconfig :oapi_open_ai,\n  # find it at https://platform.openai.com/account/api-keys\n  api_key: \"your-api-key\",\n  # optional, use when required by an OpenAI API beta, e.g.:\n  beta: \"assistants=v1\",\n  # optional, HTTP client defaults to HTTPoison, useful for mocking in tests\n  http_client: HTTPoisonMock\n  # optional, passed to [HTTPoison.Request](https://hexdocs.pm/httpoison/HTTPoison.Request.html) options\n  http_options: [recv_timeout: 30_000],\n```\nNote: you can load your os ENV variables in the configuration file, if you set an env variable for API key named `OPENAI_API_KEY` you can get it in the code by doing `System.get_env(\"OPENAI_API_KEY\")`.\n\n⚠️`config.exs` is compile time, so the `get_env/1` function is executed during the build, if you want to get the env variables during runtime please use `runtime.exs` instead of `config.exs` in your application ([elixir doc ref](https://elixir-lang.org/getting-started/mix-otp/config-and-releases.html#configuration)).","ref":"readme.html#configuration"},{"type":"extras","title":"Usage - Overview","doc":"All of the client operations are generated based on the OpenAPI description provided by GitHub.\n\nAll the operations are listed in [lib/operations](/lib/operations)\n\nGenerally you should expect something like\n```elixir\nOpenAI.{{Resource}}.{{operation}}(...params...)\n```\n\nWhere:\n* {{Resource}} is the name of the resource as tagged by OpenAI, I.E `Assistants`, `Audio`, `Cat`, ...etc\n* {{operation}} is the name of request directed to resource\n* ...params... are the parameters which are required to make a request","ref":"readme.html#usage"},{"type":"extras","title":"Assistants - Overview","doc":"Assistants section of documentation does not match 1 to 1 to [OpenAI Api documentation](https://platform.openai.com/docs/api-reference/). This is due to how OpenAPI configuration is written by OpenAI. \nResources \"Messages\", \"Runs\" and \"RunsSteps\" are merged into `OpenAi.Assistants`. And \"VectorStoresFiles\" and \"VectorStoresFileBatches\" are merged into `OpenAi.VectorStores`.","ref":"readme.html#assistants"},{"type":"extras","title":"Contributing - Overview","doc":"Because this library uses a code generator for the majority of its mass, there are two modes of contribution.\nPlease consider these when creating issues or opening pull requests:\n\n* If the generated code is out of date, the fix may be as simple as:\n  1. Updating OpenAI yaml configuration in /config/openai.yaml \n    Its possible to get new config from [OpenAI GiHub](https://github.com/openai/openai-openapi/blob/master/openapi.yaml)\n  2. Running `mix generate`.\n* If the client isn't working as expected, the fix may be more involved and require careful thought and versioning.\n\nFor more on what this means to you as a contributor, please see the [contribution guidelines](CONTRIBUTING.md).","ref":"readme.html#contributing"},{"type":"extras","title":"Changelog","doc":"# Changelog\n<!-- next-header -->\n\n## [Unreleased] - ReleaseDate\n\n## [0.1.4] - 2024-7-8\n- Added error that all operations return in case of error\n\n## [0.1.3] - 2024-7-5\n- Added missing md docs files \n\n## [0.1.2] - 2024-7-5\n- Removed unused schema files\n- Updated mix configuration to use poison only for tests\n- Updated mix configuration links\n- Added license doc\n\n## [0.1.1] - 2024-7-5\n- Configured `oapi_generator` \n- Implemented client with requests method that converts arrow map to expected result type\n- Written tests for all operations \n\n<!-- next-url -->\n[Unreleased]: https://github.com/wois-org/open-api-open-ai/compare/v0.1.4...HEAD\n[0.1.4]: https://github.com/wois-org/open-api-open-ai/compare/v0.1.3...v0.1.4\n[0.1.3]: https://github.com/wois-org/open-api-open-ai/compare/v0.1.2...v0.1.3\n[0.1.2]: https://github.com/wois-org/open-api-open-ai/compare/v0.1.1...v0.1.2\n[0.1.1]: https://github.com/wois-org/open-api-open-ai/compare/627efb7...v0.1.1","ref":"changelog.html"},{"type":"extras","title":"Code of Conduct","doc":"# Code of Conduct\n\nWe are committed to providing a friendly, safe environment for everyone who participates in our project. This code of conduct outlines our expectations for all individuals involved in our community, as well as the consequences for unacceptable behavior.","ref":"code_of_conduct.html"},{"type":"extras","title":"Expected Behavior - Code of Conduct","doc":"- Be respectful and considerate towards others.\n- Be open to constructive feedback and different perspectives.\n- Exercise empathy and understanding towards others' experiences and backgrounds.\n- Collaborate and communicate effectively, keeping discussions focused and productive.","ref":"code_of_conduct.html#expected-behavior"},{"type":"extras","title":"Unacceptable Behavior - Code of Conduct","doc":"The following behaviors are considered unacceptable and will not be tolerated:\n\n- Harassment, discrimination, or any form of offensive behavior.\n- Intimidation, threats, or personal attacks.\n- Disruptive or disrespectful comments or actions.\n- Any form of spamming, trolling, or excessive self-promotion.\n- Violation of others' privacy or confidentiality.","ref":"code_of_conduct.html#unacceptable-behavior"},{"type":"extras","title":"Consequences of Unacceptable Behavior - Code of Conduct","doc":"Anyone who engages in unacceptable behavior may be subject to consequences, including but not limited to:\n\n- Warning or reprimand from project maintainers.\n- Temporary or permanent ban from participating in the project.\n- Reporting to appropriate authorities, if necessary.","ref":"code_of_conduct.html#consequences-of-unacceptable-behavior"},{"type":"extras","title":"Reporting Guidelines - Code of Conduct","doc":"If you witness or experience any behavior that violates this code of conduct, please report it to the project maintainers immediately. All reports will be treated with confidentiality and will be thoroughly investigated.","ref":"code_of_conduct.html#reporting-guidelines"},{"type":"extras","title":"Conclusion - Code of Conduct","doc":"By participating in our project, you are expected to adhere to this code of conduct. We value the contributions of every individual and strive to maintain a positive and inclusive community.","ref":"code_of_conduct.html#conclusion"},{"type":"extras","title":"Contributing","doc":"# Contributing Guidelines\n\nThank you for your interest in contributing to our project! We welcome contributions from the community to help improve our project and make it even better. Before you start contributing, please take a moment to read through the following guidelines.","ref":"contributing.html"},{"type":"extras","title":"Table of Contents - Contributing","doc":"- [Getting Started](#getting-started)\n- [Code of Conduct](#code-of-conduct)\n- [Submitting Contributions](#submitting-contributions)\n- [Style Guide](#style-guide)\n- [Issue Tracker](#issue-tracker)\n- [License](#license)","ref":"contributing.html#table-of-contents"},{"type":"extras","title":"Getting Started - Contributing","doc":"To get started with contributing, please follow these steps:\n1. Fork the repository.\n2. Clone the forked repository to your local machine.\n3. Create a new branch for your changes.\n4. Make your desired changes and improvements.\n5. Test your changes thoroughly.\n6. Commit your changes with a descriptive commit message.\n7. Push your changes to your forked repository.\n8. Submit a pull request to the main repository.","ref":"contributing.html#getting-started"},{"type":"extras","title":"Code of Conduct - Contributing","doc":"We expect all contributors to adhere to our Code of Conduct. Please review the [Code of Conduct](CODE_OF_CONDUCT.md) before contributing.","ref":"contributing.html#code-of-conduct"},{"type":"extras","title":"Submitting Contributions - Contributing","doc":"When submitting your contributions, please ensure the following:\n- Your code follows our style guide (see [Style Guide](STYLE_GUIDE.md)).\n- You have tested your changes thoroughly.\n- Your commit message is descriptive and explains the purpose of your changes.","ref":"contributing.html#submitting-contributions"},{"type":"extras","title":"Style Guide - Contributing","doc":"To maintain consistency throughout the project, please follow our style guide when writing code. The style guide can be found in the [STYLE_GUIDE.md](STYLE_GUIDE.md) file.","ref":"contributing.html#style-guide"},{"type":"extras","title":"Issue Tracker - Contributing","doc":"If you encounter any issues or have suggestions for improvements, please check our [Issue Tracker](https://github.com/wois-org/open-api-open-ai/issues) to see if it has already been reported. If not, feel free to open a new issue.","ref":"contributing.html#issue-tracker"},{"type":"extras","title":"License - Contributing","doc":"This project is licensed under the [MIT License](LICENSE). By contributing to this project, you agree to abide by the terms of this license.\n\nWe appreciate your contributions and look forward to your involvement in making our project better!","ref":"contributing.html#license"},{"type":"extras","title":"License","doc":"MIT License\n\nCopyright (c) 2024 Wois\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.","ref":"license.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,49]}}